﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.ObjectBuilder;
using Microsoft.Practices.CompositeWeb;

namespace OHE.LCP.Admin.CourseCopying.Views
{
    public class HistoryPresenter : Presenter<IHistory>
    {

        // NOTE: Uncomment the following code if you want ObjectBuilder to inject the module controller
        //
        private CourseCopyingController _controller;
        public HistoryPresenter([CreateNew] CourseCopyingController controller)
        {
            _controller = controller;
        }

        public override void OnViewLoaded()
        {
            // TODO: Implement code that will be executed every time the view loads
        }

        public override void OnViewInitialized()
        {
            // TODO: Implement code that will be executed the first time the view loads
            this.View.Batches = _controller.GetBatches();
        }

        public void OnGetCopyHistoryItems(string batchNumber)
        {
            this.View.CopyHistoryItems = _controller.GetCopyHistoryByBatchNumber(batchNumber);
        }
    }
}




