﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.ObjectBuilder;
using Microsoft.Practices.CompositeWeb;
using OHE.LCP.Admin.CourseCopying.BusinessEntities;

namespace OHE.LCP.Admin.CourseCopying.Views
{
    public class TermsPresenter : Presenter<ITerms>
    {

        // NOTE: Uncomment the following code if you want ObjectBuilder to inject the module controller
        //
        private CourseCopyingController _controller;
        public TermsPresenter([CreateNew] CourseCopyingController controller)
        {
            _controller = controller;
        }

        public override void OnViewLoaded()
        {
            // TODO: Implement code that will be executed every time the view loads
            this.View.ECollegeTerms = _controller.GetAllECollegeTerms();
        }

        public override void OnViewInitialized()
        {
            // TODO: Implement code that will be executed the first time the view loads
        }

        public void OnGetECollegeTerm(int termID)
        {
            this.View.ecollegeTerm = _controller.GetECollegeTerm(termID);
        }

        public void OnInsertECollegeTerm(ECollegeTerm ecollegeTerm)
        {
            _controller.InsertECollegeTerm(ecollegeTerm);
            _controller.Redirect(Constants.URLs.Terms);
        }

        public void OnUpdateECollegeTerm(ECollegeTerm ecollegeTerm)
        {
            _controller.UpdateECollegeTerm(ecollegeTerm);
            _controller.Redirect(Constants.URLs.Terms);
        }
    }
}




