using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using OHE.LCP.Admin.Messages.BusinessEntities;

namespace LCPCustomControls
{
    [ToolboxData("<{0}:TargetsListBox runat=server></{0}:TargetsListBox>")]
    public class TargetsListBox : ListBox
    {
        private MessageTargetType _messageTargetType;

        [Bindable(true)]
        [Category("Behavior")]
        public virtual MessageTargetType TargetType
        {
            get { return _messageTargetType; }
            set { _messageTargetType = value; }
        }
    }
}
