﻿using System;
using System.Collections.Generic;
using System.Text;

namespace OHE.LCP.Admin.CourseCopying.BusinessEntities
{
    [Serializable]
    public partial class Section : IComparable
    {
        public Section()
        {
        }
        
        public Section(System.String cRN, System.String groupCode, System.String schoolName, System.String sectionID, System.String instructorFirstName, System.String instructorMiddleInitial, System.String instructorLastName, System.DateTime courseStartDate, System.String sectionCode)
        {
            this.cRNField = cRN;
            this.groupCodeField = groupCode;
            this.schoolNameField = schoolName;
            this.sectionIDField = sectionID;
            this.instructorFirstNameField = instructorFirstName;
            this.instructorLastNameField = instructorLastName;
            this.instructorMiddleInitialField = instructorMiddleInitial;
            this.courseStartDateField = courseStartDate;
            this.sectionCodeField = sectionCode;
        }
		
		private System.String cRNField;		
		
	    public System.String CRN
	    {
	        get { return this.cRNField; }
	        set { this.cRNField = value; }
	    }

		private System.String groupCodeField;		
		
	    public System.String GroupCode
	    {
	        get { return this.groupCodeField; }
	        set { this.groupCodeField = value; }
	    }

		private System.String schoolNameField;		
		
	    public System.String SchoolName
	    {
	        get { return this.schoolNameField; }
	        set { this.schoolNameField = value; }
	    }

		private System.String sectionIDField;		
		
	    public System.String SectionID
	    {
	        get { return this.sectionIDField; }
	        set { this.sectionIDField = value; }
	    }

        private System.String instructorFirstNameField;

        public System.String InstructorFirstName
        {
            get { return this.instructorFirstNameField; }
            set { this.instructorFirstNameField = value; }
        }

        private System.String instructorLastNameField;

        public System.String InstructorLastName
        {
            get { return this.instructorLastNameField; }
            set { this.instructorLastNameField = value; }
        }
        private System.String instructorMiddleInitialField;

        public System.String InstructorMiddleInitial
        {
            get { return this.instructorMiddleInitialField; }
            set { this.instructorMiddleInitialField = value; }
        }
        private System.DateTime courseStartDateField;

        public System.DateTime CourseStartDate
        {
            get { return this.courseStartDateField; }
            set { this.courseStartDateField = value; }
        }
        private System.String sectionCodeField;

        public System.String SectionCode
        {
            get { return sectionCodeField; }
            set { sectionCodeField = value; }
        }

        #region IComparable Members

        public int CompareTo(object obj)
        {
            if (obj is Section)
            {
                Section _c2 = (Section)obj;
                return SectionCode.CompareTo(_c2.SectionCode);
            }
            else
            {
                throw new Exception("Object is not comparable.");
            }
        }

        #endregion
    }
}

