﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using OHE.LCP.Admin.CourseCopying.BusinessEntities;

namespace OHE.LCP.Admin.CourseCopying.DataAccess
{
    /// <summary>
    /// Construct a Batch object from a datareader.
    /// </summary>
    internal class GetBatchesFactory : IDomainObjectFactory<Batch>
    {
        public Batch Construct(IDataReader reader)
        {
            Batch batch = new Batch();

            int batchNumberIndex = reader.GetOrdinal("BatchNumber");
            if (!reader.IsDBNull(batchNumberIndex))
            {
                batch.BatchNumber = reader.GetString(batchNumberIndex);

            }


            return batch;
        }
    }
}

