using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using OHE.LCP.Admin.CourseCopying.BusinessEntities;

namespace OHE.LCP.Admin.CourseCopying.DataAccess
{
    internal class GetCourseByTermSubTermSchoolFactory : IDomainObjectFactory<Course>
    {
        public Course Construct(IDataReader reader)
        {
            Course course = new Course();

            int courseTitleIndex = reader.GetOrdinal("CourseTitle");
            if (!reader.IsDBNull(courseTitleIndex))
            {
                course.CourseTitle = reader.GetString(courseTitleIndex);

            }

            int courseCodeIndex = reader.GetOrdinal("CourseCode");
            if (!reader.IsDBNull(courseCodeIndex))
            {
                course.CourseCode = reader.GetString(courseCodeIndex);

            }

            return course;
        }

    }
}
