﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using OHE.LCP.Admin.CourseCopying.BusinessEntities;

namespace OHE.LCP.Admin.CourseCopying.DataAccess
{
    /// <summary>
    /// Construct a School object from a datareader.
    /// </summary>
    internal class GetSchoolsFactory : IDomainObjectFactory<School>
    {
        public School Construct(IDataReader reader)
        {
            School school = new School();

            int schoolNameIndex = reader.GetOrdinal("SchoolName");
            if (!reader.IsDBNull(schoolNameIndex))
            {
                school.SchoolName = reader.GetString(schoolNameIndex);

            }


            return school;
        }
    }
}

