﻿
----------------------------------------------------------------
-- [dbo].[SourceNode] Table
--
IF NOT EXISTS (SELECT NAME FROM sys.objects WHERE TYPE = 'P' AND NAME = 'GetAllFromSourceNode')
BEGIN
	EXEC('CREATE PROCEDURE [dbo].[GetAllFromSourceNode] AS RETURN')
END

GO

ALTER PROCEDURE [dbo].[GetAllFromSourceNode]    
AS
BEGIN
	SET NOCOUNT ON
	
	SELECT
	[sourceNode].[Node] AS 'Node'
	FROM [dbo].[SourceNode] [sourceNode]
	ORDER BY [sourceNode].[Node]

	SET NOCOUNT OFF
END

GO


