﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Data;
using OHE.LCP.Admin.Messages.BusinessEntities;

namespace OHE.LCP.Admin.Messages.DataAccess
{
    /// <summary>
    /// This class is specifies the selection criteria
    /// for a Factory
    /// </summary>
    internal class GetMessagesForLCPIdentity
    {
        public GetMessagesForLCPIdentity(System.String concentrations, System.String courses, System.String personID, System.String programs, System.String roles, System.String schools, System.String sections)
        {
            this.concentrationsField = concentrations;
            this.coursesField = courses;
            this.personIDField = personID;
            this.programsField = programs;
            this.rolesField = roles;
            this.schoolsField = schools;
            this.sectionsField = sections;

        }

        private System.String concentrationsField;

        public System.String Concentrations
        {
            get { return this.concentrationsField; }
            set { this.concentrationsField = value; }
        }

        private System.String coursesField;

        public System.String Courses
        {
            get { return this.coursesField; }
            set { this.coursesField = value; }
        }

        private System.String personIDField;

        public System.String PersonID
        {
            get { return this.personIDField; }
            set { this.personIDField = value; }
        }

        private System.String programsField;

        public System.String Programs
        {
            get { return this.programsField; }
            set { this.programsField = value; }
        }

        private System.String rolesField;

        public System.String Roles
        {
            get { return this.rolesField; }
            set { this.rolesField = value; }
        }

        private System.String schoolsField;

        public System.String Schools
        {
            get { return this.schoolsField; }
            set { this.schoolsField = value; }
        }

        private System.String sectionsField;

        public System.String Sections
        {
            get { return this.sectionsField; }
            set { this.sectionsField = value; }
        }

    }
}

