using System;
using System.ServiceModel;

namespace OHE.LCP.Admin.ServiceContracts
{
    [ServiceContract(Namespace = "http://OHE.LCP.Admin.ServiceContracts/2007/09", Name = "IMessagesService", SessionMode = SessionMode.Allowed)]
    public interface IMessagesService
    {
        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "GetMessages")]
        OHE.LCP.Admin.ServiceContracts.GetMessagesResponse GetMessages(OHE.LCP.Admin.ServiceContracts.GetMessagesRequest request);

        [OperationContract(IsTerminating = false, IsInitiating = true, IsOneWay = false, AsyncPattern = false, Action = "AddMessageRead")]
        OHE.LCP.Admin.ServiceContracts.AddMessageReadResponse AddMessageRead(OHE.LCP.Admin.ServiceContracts.AddMessageReadRequest request);
    }
}
