<%@ Page Language="C#" MasterPageFile="~/Shared/Default.master" AutoEventWireup="true"
    CodeFile="UserSearch.aspx.cs" Inherits="Security_UserSearch" Title="Untitled Page" %>

<%@ Register Assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.UI" TagPrefix="asp" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DefaultContent" runat="Server">
    <h1>User Search</h1>
     <asp:ValidationSummary ID="ProcessValidator" runat="server" DisplayMode="BulletList" HeaderText="The following errors occurred:" />
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Height="75px"
        IsSticky="False" Width="100%" Transparency="20" BackColor="#E0E0E0">
        <img style="margin-top: 190px;" id="loading_image" alt="Loading..." src='<%= RadAjaxLoadingPanel.GetWebResourceUrl(Page, "Telerik.Web.UI.Skins.Default.Ajax.loading.gif") %>'/>
    </telerik:RadAjaxLoadingPanel>
    <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" LoadingPanelID="RadAjaxLoadingPanel1"
         Width="950" Height="500px">
        <telerik:RadPanelBar runat="server" ID="MainPanelBar" Skin="Default2006"
            Height="404px" ExpandMode="SingleExpandedItem" Width="100%">
            <Items>
                <telerik:RadPanelItem Value="SearchExpander" Text="Search" runat="server" Expanded="True">
                    <Items>
                        <telerik:RadPanelItem Value="Search" runat="server">
                            <ItemTemplate>
                                <center>
                                    <br />
                                    <div style="background-color: #ffffff; padding: 4px;">
                                        <asp:ValidationSummary ID="ValidatorSummary" runat="server" DisplayMode="BulletList"
                                            HeaderText="The following errors occurred:" />
                                        <table cellspacing="0" cellpadding="4" border="0" style="color: #333333; border-color: #DEDBD5;
                                            border-width: 1px; border-style: Solid; border-collapse: collapse;">
                                            <tr style="color: Black; background-color: #F4F3F0;">
                                                <td align="left" valign="top" style="background-color: White; font-weight: bold;">
                                                    First Name</td>
                                                <td align="left" valign="middle" style="background-color: White; font-weight: bold;">
                                                    Last Name</td>
                                                <td align="left" valign="middle" style="background-color: White; font-weight: bold;">
                                                    Email</td>
                                                <td align="left" valign="middle" style="background-color: White; font-weight: bold;">
                                                    Alternate ID</td>
                                                <td align="left" valign="middle" style="background-color: White; font-weight: bold;">
                                                    User ID</td>
                                            </tr>
                                            <tr style="color: Black; background-color: #F4F3F0;">
                                                <td>
                                                    <asp:TextBox ID="FirstNameTextBox" runat="server" /></td>
                                                <td>
                                                    <asp:TextBox ID="LastNameTextBox" runat="server" /></td>
                                                <td>
                                                    <asp:TextBox ID="EmailTextBox" runat="server" /></td>
                                                <td>
                                                    <asp:TextBox ID="AltIDTextBox" runat="server" /></td>
                                                <td>
                                                    <asp:TextBox ID="UserIDTextBox" runat="server" /></td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div>
                                        <br />
                                        <asp:Button ID="SearchButton" runat="server" Text="Search" OnClick="SearchButton_Click" />
                                        <br />
                                    </div>
                                </center>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>
                <telerik:RadPanelItem Text="Search Results" Value="ResultExpander" runat="server">
                    <Items>
                        <telerik:RadPanelItem Value="Results" runat="server">
                            <ItemTemplate>
                            <asp:Label ID="ErrorMessage" runat="server" Visible="false"  />
                            <div style="width:950px; overflow:auto;">
                                <telerik:RadGrid ID="Results" AllowScroll="true" OnDetailTableDataBind="DetailTableDataBind" ShowStatusBar="True" runat="server" DataSourceID="UserDataSource"                                    
                                    Width="1200px" AutoGenerateColumns="False" AllowPaging="True" AllowSorting="True" 
                                    GridLines="None" BorderStyle="None" Height="450px" OnInsertCommand="InsertUserAndIdentity" OnItemCommand="Results_OnItemCommand" OnUpdateCommand="UpdateSecurityIdentity">
                                    <PagerStyle Mode="NextPrevAndNumeric"></PagerStyle>
                                    <MasterTableView  CommandItemDisplay="Top"  DataSourceID="UserDataSource" DataKeyNames="Email, ID, FirstName, LastName" AllowMultiColumnSorting="True" >
                                        <DetailTables>
                                            <telerik:GridTableView  CommandItemDisplay="Top" Name="SecurityIdentityDetail" DataSourceID="IdentitiesDataSource"
                                                 runat="server" DataKeyNames="Institution,SecurityContextId,UserName,Hint,HintAnswer,IsLockedOut" >                                                
                                                <Columns>
                                                    <telerik:GridEditCommandColumn>                                                     
                                                    </telerik:GridEditCommandColumn>
                                                    <telerik:GridBoundColumn DataField="UserName" HeaderText="User" SortExpression="UserName" UniqueName="UserName" />
                                                    <telerik:GridButtonColumn HeaderText="Password" Text="Reset" Visible="False"  CommandName="ResetPassword" UniqueName="column" >
                                                        <ItemStyle HorizontalAlign="Center" />
                                                    </telerik:GridButtonColumn>
                                                    <telerik:GridBoundColumn DataField="Password" HeaderText="Password" SortExpression="Password" UniqueName="Password" />
                                                    <telerik:GridBoundColumn DataField="Hint" HeaderText="Hint" SortExpression="Hint" UniqueName="Hint" />
                                                    <telerik:GridBoundColumn DataField="HintAnswer" HeaderText="Answer" SortExpression="HintAnswer" UniqueName="HintAnswer" />
                                                    <telerik:GridDropDownColumn DataField="SecurityContextName"  HeaderText="System" DataSourceID="SecurityContextDataSource" 
                                                         ListTextField="Name" ListValueField="Name" UniqueName="SecurityContextName1">
                                                    </telerik:GridDropDownColumn>
                                                    <telerik:GridBoundColumn DataField="SystemUserId" HeaderText="Sys UserID" SortExpression="SystemUserId" UniqueName="SystemUserId" >
                                                        <ItemStyle Wrap="False" />
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="CreateOperator" HeaderText="Creator" SortExpression="CreateOperator" UniqueName="CreateOperator" >
                                                        <ItemStyle Wrap="False" />
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="CreateDate" HeaderText="Created On" DataFormatString="{0:MM/d/yyyy h:mm tt}"
                                                        SortExpression="CreateDate" UniqueName="CreateDate">
                                                        <ItemStyle Wrap="False" />
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="UpdateOperator" HeaderText="Updater" SortExpression="UpdateOperator" UniqueName="UpdateOperator" >
                                                        <ItemStyle Wrap="False" />
                                                    </telerik:GridBoundColumn>
                                                    <telerik:GridBoundColumn DataField="UpdateDate" HeaderText="Last Updated On" DataFormatString="{0:MM/d/yyyy h:mm tt}"
                                                        SortExpression="UpdateDate" UniqueName="UpdateDate" >
                                                        <ItemStyle Wrap="False" />
                                                    </telerik:GridBoundColumn>
                                                </Columns>                                                
                                                <EditFormSettings UserControlName="WebParts/EditSecurityContextForm.ascx" EditFormType="WebUserControl" >
                                                    <EditColumn UniqueName="EditCommandColumn1">
                                                    </EditColumn>
                                                    <PopUpSettings ScrollBars="None" />                                                                                                        
                                                </EditFormSettings>                                                
                                                <RowIndicatorColumn Visible="False">
                                                    <HeaderStyle Width="20px" />
                                                </RowIndicatorColumn>
                                                <ExpandCollapseColumn Resizable="False" Visible="False">
                                                    <HeaderStyle Width="20px" />
                                                </ExpandCollapseColumn>                                                
                                            </telerik:GridTableView>
                                        </DetailTables>
                                        <Columns>                                            
                                            <telerik:GridBoundColumn DataField="ID" HeaderText="User ID" SortExpression="ID" UniqueName="ID" />
                                            <telerik:GridBoundColumn DataField="FirstName" HeaderText="First Name" SortExpression="FirstName" UniqueName="FirstName" />
                                            <telerik:GridBoundColumn DataField="LastName" HeaderText="Last Name" SortExpression="LastName" UniqueName="LastName" />
                                            <telerik:GridBoundColumn DataField="Email" HeaderText="Email" SortExpression="Email" UniqueName="Email" />
                                            <telerik:GridBoundColumn DataField="CreateOperator" HeaderText="Creator" SortExpression="CreateOperator" UniqueName="CreateOperator" ReadOnly="true" >
                                                <ItemStyle Wrap="False" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="CreationDate" HeaderText="Created On" DataFormatString="{0:MM/d/yyyy h:mm tt}"
                                                SortExpression="CreationDate" UniqueName="CreationDate" >
                                                <ItemStyle Wrap="False" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="UpdateOperator" HeaderText="Updater" SortExpression="UpdateOperator" UniqueName="UpdateOperator" ReadOnly="true" >
                                                <ItemStyle Wrap="False" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="UpdateDate" HeaderText="Last Updated On" DataFormatString="{0:MM/d/yyyy h:mm tt}"
                                                SortExpression="UpdateDate" UniqueName="UpdateDate">
                                                <ItemStyle Wrap="False" />
                                            </telerik:GridBoundColumn>
                                        </Columns>
                                        <EditFormSettings UserControlName="WebParts/InsertUserForm.ascx" EditFormType="WebUserControl" >
                                                    <EditColumn UniqueName="EditCommandColumn2">
                                                    </EditColumn>
                                                    <PopUpSettings ScrollBars="None" />                                                                                                        
                                        </EditFormSettings>                                       
                                        <RowIndicatorColumn Visible="False">
                                            <HeaderStyle Width="20px" />
                                        </RowIndicatorColumn>
                                        <ExpandCollapseColumn Resizable="False">
                                            <HeaderStyle Width="20px" />
                                        </ExpandCollapseColumn>
                                        <EditFormSettings>
                                            <PopUpSettings ScrollBars="None" />
                                        </EditFormSettings>
                                    </MasterTableView>
                                </telerik:RadGrid>
                                </div>
                            </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>
                <telerik:RadPanelItem runat="server" Text="Create" Value="CreateExpander">
                    <Items>
                        <telerik:RadPanelItem runat="server" Value="Create">
                            <ItemTemplate>     
                                
                                <center>
                                        
                                        <br />
                                                                            
                                        <table cellpadding="4" cellspacing="0" border="0" class="tableUser">
                                                <tr>
                                                    <td class="cellTitle" >
                                                        First Name:</td>
                                                    <td class="cellData" >
                                                        <asp:TextBox ID="FirstNameCI" Width="250" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="FirstNameCI"
                                            ErrorMessage="First Name Required <br>" Display="Dynamic" ValidationGroup="CreateIndividual" Text="*"></asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="cellTitle" >
                                                        Last Name:</td>
                                                    <td class="cellData" >
                                                        <asp:TextBox ID="LastNameCI" Width="250" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="LastNameCI"
                                            ErrorMessage="Last Name Required <br>" Display="Dynamic" ValidationGroup="CreateIndividual" Text="*"></asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="cellTitle">
                                                        Email:
                                                    </td>
                                                    <td class="cellData" >
                                                        <asp:TextBox ID="EmailCI" Width="250" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="EmailCI"
                                            ErrorMessage="Email Name Required <br>" Display="Dynamic" ValidationGroup="CreateIndividual" Text="*"></asp:RequiredFieldValidator>    
                                                        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ErrorMessage="Invalid Email Address <br>" ControlToValidate="EmailCI" Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ValidationGroup="CreateIndividual">*</asp:RegularExpressionValidator>
                                                    </td>
                                                </tr>                                                                                            
                                                <tr>
                                                    <td class="cellTitle">
                                                        OLA Id:</td>
                                                    <td class="cellData"  >
                                                        <asp:TextBox ID="OlaIdCI" Width="250" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="OLAIdCI"
                                            ErrorMessage="OLA Id Required <br>" Display="Dynamic" ValidationGroup="CreateIndividual" Text="*"></asp:RequiredFieldValidator>
                                                        <asp:CompareValidator ID="CompareValidator2" runat="server" ControlToValidate="OlaIdCI"
                                            ErrorMessage="Invalid OLA Id" Operator="DataTypeCheck" Type="Integer" ValidationGroup="CreateIndividual" Text="*"></asp:CompareValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="cellTitle" >
                                                        OLA Password:</td>
                                                    <td class="cellData"  >
                                                        <asp:TextBox ID="OlaPasswordCI" Width="250" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="OlaPasswordCI"
                                            ErrorMessage="OLA Password Required <br>" Display="Dynamic" ValidationGroup="CreateIndividual" Text="*"></asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="cellTitle">
                                                        System User Id:</td>
                                                    <td class="cellData"  >
                                                        <asp:TextBox ID="SystemUserIdCI" Width="250" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="SystemUserIdCI"
                                            ErrorMessage="System User Id Required <br>" Display="Dynamic" ValidationGroup="CreateIndividual" Text="*"></asp:RequiredFieldValidator>        
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="cellTitle">
                                                        Onyx Id:</td>
                                                    <td class="cellData"  >
                                                        <asp:TextBox ID="OnyxIdCI" Width="250" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="OnyxIdCI"
                                            ErrorMessage="Onyx Id Required" Display="Dynamic" ValidationGroup="CreateIndividual" Text="*"></asp:RequiredFieldValidator>    
                                                        <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="OnyxIdCI"
                                            ErrorMessage="Invalid Onyx Id" Operator="DataTypeCheck" Type="Integer" ValidationGroup="CreateIndividual" Text="*"></asp:CompareValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="cellTitle">
                                                        Onyx Password:</td>
                                                    <td class="cellData"  >
                                                        <asp:TextBox ID="OnxyPasswordCI" Width="250" runat="server"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="OnxyPasswordCI"
                                            ErrorMessage="Onyx Password Required" Display="Dynamic" ValidationGroup="CreateIndividual" Text="*"></asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td></td>
                                                    <td class="cellData">
                                                        <asp:Button ID="CreateBTN" CssClass="button" Width="92px" runat="server" 
                                                        Text="Create" OnClick="CreateBTN_Click" ValidationGroup="CreateIndividual" />            
                                                    </td>
                                                </tr>
                                            </table>
                                        <br />
                                </center>
                                </ItemTemplate>
                        </telerik:RadPanelItem>
                    </Items>
                </telerik:RadPanelItem>
            </Items>
            <CollapseAnimation Duration="100" Type="None" />
            <ExpandAnimation Duration="100" Type="None" />
        </telerik:RadPanelBar>
    </telerik:RadAjaxPanel>
    <pp:ObjectContainerDataSource ID="UserDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.User"
        UsingServerPaging="True" OnSelecting="ResultsDataSource_Selecting" />
    <pp:ObjectContainerDataSource ID="IdentitiesDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Identity" />
    <pp:ObjectContainerDataSource ID="InstitutionsDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Institution" />
    <pp:ObjectContainerDataSource ID="SecurityContextDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.SecurityContext" />
</asp:Content>
