using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling;
using Microsoft.Practices.CompositeWeb;
using OHE.FoundationModules.ProviderServices.Base;
using OHE.FoundationModules.Utilities;
using OHE.FoundationModules.CollegeInformation.Module;


/// <summary>
/// Summary description for global_asax
/// </summary>
public partial class global_asax : WebClientApplication
{
    protected override void AddRequiredServices()
    {
        base.AddRequiredServices();
        RootContainer.Services.AddNew<EntityTranslatorService, IEntityTranslatorService>();
        RootContainer.Services.AddNew<UtilitiesManager, IUtilitiesManager>();
        RootContainer.Services.AddNew<ProviderServiceManager, IProviderServiceManager>();
    }
}
