﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DefaultMapping.aspx.cs" Inherits="CourseCopying_DefaultMapping"
    Title="DefaultMapping" MasterPageFile="~/Shared/Default.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
    
<%@ Import Namespace="OHE.LCP.Admin.CourseCopying.BusinessEntities" %>

<asp:Content ID="content" ContentPlaceHolderID="DefaultContent" Runat="Server">
        <script language="javascript" type="text/javascript">
            function doPopUp(courseCode, id)
            {
                var features = 'dialogHeight:583px;dialogWidth:1000px;';
                var url = 'DefaultMappingPopUp.aspx?&id=' + courseCode + "#" + id;
                var retval;
//                retval = window.showModalDialog(url, '', features);
                retval = window.showModalDialog(url, '', features);
                document.location.href = 'DefaultMapping.aspx';
            }
        </script>
		<h1>Default Mapping</h1>
		<p>NOTE: The Default Mapping screen creates default mappings between Banner sections and eCollege Master Courses.  This screen should only be used by managers or users that have been trained to properly use the Default Mapping feature.</p>
	    <telerik:RadGrid ID="DefaultMappingGrid" runat="server"  DataSourceID="DefaultMappingDataSource" OnItemDataBound="DefaultMappingGrid_ItemDataBound" AutoGenerateColumns="false">
            <MasterTableView>
	            <Columns>
	                <telerik:GridTemplateColumn HeaderImageUrl="~/Images/Edit.gif" HeaderStyle-Width="25px">
	                    <ItemTemplate>
	                        <asp:HyperLink ID="hypEdit" runat="server" Text="Edit"/>
	                    </ItemTemplate>
	                </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn HeaderText="Banner Course" HeaderStyle-Width="360px">
	                    <ItemTemplate>
	                        <table width="100%">
	                            <tr>
	                                <td style="border:none;" width="25%"><asp:Label ID="lblCrsCode" runat="server"></asp:Label></td>
	                                <td style="border:none;" width="50%"><asp:Label ID="lblCrsTitle" runat="server"></asp:Label></td>
	                                <td style="border:none;" width="25%"><asp:Label ID="lblSourceNode" runat="server"></asp:Label></td>
	                            </tr>
	                        </table>
	                    </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn HeaderText="eCollege Master Course" ItemStyle-Width="100%">
                        <ItemTemplate>
	                        <table width="100%">
	                            <tr>
	                                <td style="border:none;" width="25%"><asp:Label ID="lblCourseDisplayCode" runat="server"></asp:Label></td>
	                                <td style="border:none;" width="50%"><asp:Label ID="lblCourseTitle" runat="server"></asp:Label></td>
	                                <td style="border:none;" width="25%"><asp:Label ID="lblECollegeID" runat="server"></asp:Label></td>
                                </tr>
                            </table>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
	            </Columns>
            </MasterTableView>
	    </telerik:RadGrid>
    <pp:ObjectContainerDataSource ID="DefaultMappingDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.Course" />
</asp:Content>
