﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DefaultMappingPopUp.aspx.cs" Inherits="CourseCopying_DefaultMappingPopUp"
    Title="DefaultMappingPopUp" MasterPageFile="~/Shared/popup.master" MaintainScrollPositionOnPostback="true" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
    
<%@ Import Namespace="OHE.LCP.Admin.CourseCopying.BusinessEntities" %>

<asp:Content ID="content" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<center>
<div style="padding: 7px;">
		<h1>Select eCollege Master Course</h1>
		<p>Use this form to select the appropriate eCollege Master Course to be mapped to the selected Banner course.</p>
		<p><span style="font-weight:bold;">NOTE:</span> This screen only shows ACTIVE eCollege Master Courses.  If a particular course is not shown here it may be currently marked as inactive.</p>
		<telerik:RadAjaxPanel runat="server" ID="AjaxPanel1">
		<table border="0" cellspacing="0" cellpadding="5" width="900">
		    <tr>
		        <td style="width:50%;">
                    <asp:Label ID="Label2" runat="server" Font-Bold="True" Text="Banner Course:"></asp:Label>
                    <asp:Label ID="lblBannerCourse" runat="server"></asp:Label>
		        </td>
		        <td style="width:50%;">
                    <asp:Label ID="Label3" runat="server" Font-Bold="True" Text="Currently Selected Master Course:"></asp:Label>
                    <asp:Label ID="lblMasterCourse" runat="server"></asp:Label>		        
                </td>
		    </tr>

		<tr><td colspan="2">
		
        <telerik:RadGrid  OnSelectedIndexChanged="RadGrid1_ItemCreated"  Width="900px" ID="MasterCourseGrid" DataSourceID="MasterCoursesDataSource" runat="server" OnItemDataBound="MasterCourseGrid_ItemDataBound">
            <MasterTableView DataKeyNames="MasterCourseID" DataSourceID="MasterCoursesDataSource">
                <Columns>
                    <telerik:GridButtonColumn  CommandName="Select" Text="Select" UniqueName="column" HeaderStyle-Width="50"/>
                    <telerik:GridBoundColumn DataField="CourseDisplayCode" HeaderStyle-Width="70" HeaderText="Course" UniqueName="CourseDisplayCode" />
                    <telerik:GridBoundColumn DataField="CourseTitle" HeaderText="Title" UniqueName="CourseTitle" />
                    <telerik:GridBoundColumn DataField="eCollegeID" HeaderStyle-Width="70" HeaderText="eCollege ID" UniqueName="eCollegeID" />
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>

        </td></tr>
        		</table>        </telerik:RadAjaxPanel>
        <center><br />
		    <asp:Button ID="btnSave" runat="server" Text="Save Changes" OnClick="btnSave_Click" OnClientClick="" />
            <input type="button" value="Cancel" onclick="window.close();" />
        </center><br />
        <pp:ObjectContainerDataSource ID="BannerCourseDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.DefaultMappingDisplay" />
        <pp:ObjectContainerDataSource ID="MasterCoursesDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.MasterCourse" />
</div></center>
</asp:Content>
