﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="History.aspx.cs" Inherits="CourseCopying_History"
    Title="History" MasterPageFile="~/Shared/Default.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="content" ContentPlaceHolderID="DefaultContent" Runat="Server">
	<h1>History</h1>
	Select Batch 
	<asp:DropDownList ID="ddlBatches" runat="server" DataSourceID="BatchesDataSource" DataTextField="BatchNumber" DataValueField="BatchNumber" AppendDataBoundItems="true" AutoPostBack="true" OnSelectedIndexChanged="ddlBatches_SelectedIndexChanged">
	    <asp:ListItem Text="Select One" Value=""></asp:ListItem>
	</asp:DropDownList>
	<br /><br />
	<telerik:RadGrid runat="server" Width="900px" ID="CopyHistoryGrid" DataSourceID="CopyHistoryItemsDataSource" AutoGenerateColumns="false">
        <MasterTableView Width="900px">
	        <Columns>
	            <telerik:GridBoundColumn HeaderText="Section" DataField="FullSectionCode" />
	            <telerik:GridBoundColumn HeaderText="Title" DataField="MasterCourseTitle" />
	            <telerik:GridBoundColumn HeaderText="eCollege Term" DataField="eCollegeTerm" />
	            <telerik:GridBoundColumn HeaderText="Start Date" DataField="BannerCourseStartDate" DataFormatString="{0:d}" />
	            <telerik:GridBoundColumn HeaderText="Instructor" DataField="Instructor"/>
	            <telerik:GridBoundColumn HeaderText="Batch Date" DataField="DateCopied" DataFormatString="{0:d}" />
	            <telerik:GridBoundColumn HeaderText="Copied By" DataField="CopierID"  />
	            <telerik:GridBoundColumn HeaderText="Handled Manually" DataField="HandledManually" />
	        </Columns>
	    </MasterTableView>
	</telerik:RadGrid>
    <pp:ObjectContainerDataSource ID="BatchesDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.Batch" />
    <pp:ObjectContainerDataSource ID="CopyHistoryItemsDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.CopyHistory" />
</asp:Content>
