<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CourseSearch.aspx.cs" Inherits="Messages_CourseSearch" MasterPageFile="~/Shared/popup.master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin:5px">
    <table border="0">
        <tr>
            <td colspan="2"><asp:Label ID="lbl1" runat="server" Text="Course Search Results" Font-Bold="true"></asp:Label></td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lbl2" runat="server" Text="Your search for"></asp:Label>
                <asp:Label ID="SearchTextLabel" runat="server" Font-Bold="true"></asp:Label>
                <asp:Label ID="SearchNumberLabel" runat="server"></asp:Label>
            </td>
            <td style="text-align:right;">
                <asp:TextBox ID="SearchTextBox" runat="server"></asp:TextBox>
                <asp:Button ID="SearchButton" runat="server" Text="New Search" OnClick="SearchButton_Click" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:GridView ID="SearchGrid" runat="server" AutoGenerateColumns="False" DataKeyNames="CourseID" DataSourceID="searchDataSource" OnRowDataBound="SearchGrid_RowDataBound" OnDataBound="SearchGrid_DataBound" Width="100%" CellPadding="3">
                    <Columns>
                        <asp:TemplateField HeaderText="#">
                            <ItemTemplate>
                                <asp:Label ID="lblCounter" runat="server"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="Code" HeaderText="Code" SortExpression="Code" />
                        <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
                        <asp:BoundField DataField="Concentration" HeaderText="Concentration" SortExpression="Concentration" />
                        <asp:BoundField DataField="Credits" HeaderText="Credits" SortExpression="Credits" />
                        <asp:TemplateField>
                            <ItemTemplate><asp:CheckBox ID="chkSelected" runat="server" /></ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
    </table>
    <asp:Label ID="lbl3" runat="server" Text="Check the desired courses that you would like to send your message to and click the Select Courses button below."></asp:Label>
    <br /><br />
    <asp:Button ID="SubmitButton" runat="server" Text="Select Courses" />
    <asp:Button ID="CancelButton" runat="server" Text="Cancel" />&nbsp;
    <asp:SqlDataSource ID="searchDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:dbConn %>"
        SelectCommand="SELECT [CourseID], [Code], [Title], [Concentration], [Credits] FROM [Courses_Temp] WHERE (([Code] LIKE '%' + @Code + '%') OR ([Concentration] LIKE '%' + @Concentration + '%') OR ([Title] LIKE '%' + @Title + '%')) ORDER BY [Title]" OnSelected="searchDataSource_Selected">
        <SelectParameters>
            <asp:QueryStringParameter Name="Code" QueryStringField="search" />
            <asp:QueryStringParameter Name="Concentration" QueryStringField="search" />
            <asp:QueryStringParameter Name="Title" QueryStringField="search" />
        </SelectParameters>
    </asp:SqlDataSource>
    </div>
</asp:Content>