<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PeopleSearch.aspx.cs" Inherits="Messages_PeopleSearch" MasterPageFile="~/Shared/popup.master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin:5px">
    <table border="0">
        <tr>
            <td colspan="2"><asp:Label ID="lbl1" runat="server" Text="Person Search Results" Font-Bold="true"></asp:Label></td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lbl2" runat="server" Text="Your search for"></asp:Label>
                <asp:Label ID="SearchTextLabel" runat="server" Font-Bold="true"></asp:Label>
                <asp:Label ID="SearchNumberLabel" runat="server"></asp:Label>
            </td>
            <td style="text-align:right;">
                <asp:TextBox ID="SearchTextBox" runat="server"></asp:TextBox>
                <asp:Button ID="SearchButton" runat="server" Text="New Search" OnClick="SearchButton_Click" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:GridView ID="SearchGrid" runat="server" AutoGenerateColumns="False" DataKeyNames="PersonID" DataSourceID="searchDataSource" OnRowDataBound="SearchGrid_RowDataBound" OnDataBound="SearchGrid_DataBound" Width="100%" CellPadding="3">
                    <Columns>
                        <asp:TemplateField HeaderText="#">
                            <ItemTemplate>
                                <asp:Label ID="lblCounter" runat="server"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="FirstName" HeaderText="First Name" SortExpression="FirstName" />
                        <asp:BoundField DataField="MiddleInitial" HeaderText="Middle Initial" SortExpression="MiddleInitial" />
                        <asp:BoundField DataField="LastName" HeaderText="Last Name" SortExpression="LastName" />
                        <asp:BoundField DataField="Role" HeaderText="Role" SortExpression="Role" />
                        <asp:TemplateField>
                            <ItemTemplate><asp:CheckBox ID="chkSelected" runat="server" /></ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
    </table>
    <asp:Label ID="lbl3" runat="server" Text="Check the desired people that you would like to send your message to and click the Select People button below."></asp:Label>
    <br /><br />
    <asp:Button ID="SubmitButton" runat="server" Text="Select People" />
    <asp:Button ID="CancelButton" runat="server" Text="Cancel" />&nbsp;
    <asp:SqlDataSource ID="searchDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:dbConn %>"
        SelectCommand="SELECT [PersonID], [FirstName], [MiddleInitial], [LastName], [Role] FROM [People_Temp] WHERE (([FirstName] LIKE '%' + @FirstName + '%') OR ([MiddleInitial] LIKE '%' + @MiddleInitial + '%') OR ([LastName] LIKE '%' + @LastName + '%')) ORDER BY [LastName]" OnSelected="searchDataSource_Selected">
        <SelectParameters>
            <asp:QueryStringParameter Name="FirstName" QueryStringField="search" />
            <asp:QueryStringParameter Name="MiddleInitial" QueryStringField="search" />
            <asp:QueryStringParameter Name="LastName" QueryStringField="search" />
        </SelectParameters>
    </asp:SqlDataSource>
    </div>
</asp:Content>