<%@ Page Language="C#" MasterPageFile="~/Shared/Default.master" AutoEventWireup="true"
    CodeFile="ActionList.aspx.cs" Inherits="Security_ActionList" Title="Action List" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DefaultContent" runat="Server">
    <h1>
        Action List</h1>
    <table cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td>
                <asp:Image ID="Image1" ImageUrl="~/Images/AddRecord.gif" runat="server" /></td>
            <td>
                <asp:HyperLink ID="NewActionHyperlink" runat="server" Text="Add New Action" NavigateUrl='<%# String.Format("ActionDetail.aspx?mode=insert&amp;securitycontextid={0}", this.SecurityContextID) %>'></asp:HyperLink></td>
        </tr>
    </table>
    <br />
    <br />
    <div style="background-color: #ffffff; padding: 4px;">
        <telerik:RadGrid ID="ActionList" runat="server" DataSourceID="ActionDataSource" AllowSorting="True"
            AutoGenerateColumns="False" Width="900">
            <MasterTableView DataKeyNames="ID" Width="900">
                <Columns>
                    <telerik:GridHyperLinkColumn Text="Edit" DataNavigateUrlFields="ID" DataNavigateUrlFormatString="ActionDetail.aspx?mode=edit&amp;id={0}">
                    </telerik:GridHyperLinkColumn>
                    <telerik:GridBoundColumn DataField="ID" HeaderText="ID" SortExpression="ID">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name" SortExpression="Name">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="QueryString" HeaderText="QueryString" SortExpression="QueryString">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="URL" HeaderText="URL" SortExpression="URL">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CreateOperator" HeaderText="Create By" SortExpression="CreateOperator">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CreateDate" HeaderText="Create On" DataFormatString="{0:MM/d/yyyy h:mm tt}"
                        SortExpression="CreateDate">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="UpdateOperator" HeaderText="Last Update By" SortExpression="UpdateOperator">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="UpdateDate" HeaderText="Last Updated On" DataFormatString="{0:MM/d/yyyy h:mm tt}">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </div>
    <pp:ObjectContainerDataSource ID="ActionDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Action"
        OnDeleted="ActionDataSource_Deleted" />
</asp:Content>
