<%@ Page Language="C#" MasterPageFile="~/Shared/Default.master" AutoEventWireup="true" CodeFile="RoleDetail.aspx.cs" Inherits="Security_RoleDetail" Title="Role Details" %>

<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DefaultContent" Runat="Server">
    <h1>Role Detail</h1>
	<div style="background-color:#ffffff; padding: 4px;">
	<asp:ValidationSummary ID="ValidatorSummary" runat="server" DisplayMode="BulletList" HeaderText="The following errors occurred:" />
	<asp:DetailsView ID="RoleDetailsView" runat="server" AutoGenerateRows="False" OnModeChanging="RoleDetailsView_ModeChanging" DataKeyNames="ID" DataSourceID="RoleDataSource">
        <Fields>
            <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" SortExpression="ID" ReadOnly="True" />
            <asp:TemplateField HeaderText="Name (required)" SortExpression="Name" ItemStyle-Wrap="false" HeaderStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' Width="300px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="NameValidator" runat="server" ControlToValidate="NameTextBox" ErrorMessage="Name is required" Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Description (required)" SortExpression="Description" ItemStyle-Wrap="false" HeaderStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:TextBox ID="DescriptionTextBox" runat="server" Text='<%# Bind("Description") %>' Width="300px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="DescriptionValidator" runat="server" ControlToValidate="DescriptionTextBox" ErrorMessage="Desription is required" Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HiddenField ID="CreateDate" runat="server" Value= '<%# Bind("CreateDate") %>' />
                    <asp:HiddenField ID="CreateOperator" runat="server" Value= '<%# Bind("CreateOperator") %>' />
                    <asp:HiddenField ID="UpdateDate" runat="server" Value= '<%# Bind("UpdateDate") %>' />
                    <asp:HiddenField ID="UpdateOperator" runat="server" Value= '<%# Bind("UpdateOperator") %>' />
                    <asp:HiddenField ID="SecurityContextID" runat="server" Value= '<%# Bind("SecurityContextID") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField ShowEditButton="True" ShowInsertButton="True" EditText="Save Role" InsertText="Insert Role" ButtonType="Button" />
        </Fields>
    </asp:DetailsView>
    </div>
    <pp:ObjectContainerDataSource ID="RoleDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Role" OnInserted="RoleDataSource_Inserted" OnUpdated="RoleDataSource_Updated" />
</asp:Content>

