<%@ Page Language="C#" MasterPageFile="~/Shared/Default.master" AutoEventWireup="true"
    CodeFile="SecurityContextList.aspx.cs" Inherits="Security_SecurityContextList"
    Title="Security Context List" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DefaultContent" runat="Server">
    <h1>
        Security Context List</h1>
    <table cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td>
                <asp:Image ID="Image1" ImageUrl="~/Images/AddRecord.gif" runat="server" /></td>
            <td>
                <asp:HyperLink ID="NewSecurityContextHyperlink" runat="server" Text="Add New Security Context"
                    NavigateUrl="~/Security/SecurityContextDetail.aspx?mode=insert"></asp:HyperLink></td>
        </tr>
    </table>
    <br />
    <br />
        <telerik:RadGrid ID="SecurityContextList" runat="server" DataSourceID="SecurityContextDataSource"
            AllowSorting="True" Width="900" AutoGenerateColumns="False">
            <MasterTableView DataKeyNames="ID" Width="900">
                <Columns>
                    <telerik:GridHyperLinkColumn Text="Edit" HeaderImageUrl="~/Images/Edit.gif" DataNavigateUrlFields="ID" DataNavigateUrlFormatString="SecurityContextDetail.aspx?mode=edit&amp;id={0}" />
                    <telerik:GridHyperLinkColumn Text="Actions" DataNavigateUrlFields="ID" DataNavigateUrlFormatString="ActionList.aspx?mode=edit&amp;securitycontextid={0}" />
                    <telerik:GridHyperLinkColumn Text="Roles" DataNavigateUrlFields="ID" DataNavigateUrlFormatString="RoleList.aspx?mode=edit&amp;securitycontextid={0}" />
                    <telerik:GridBoundColumn DataField="ID" HeaderText="ID" SortExpression="ID" />
                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name" SortExpression="Name" />
                    <telerik:GridBoundColumn DataField="CreateOperator" HeaderText="Create By" SortExpression="CreateOperator" />
                    <telerik:GridBoundColumn DataField="CreateDate" HeaderText="Create On" DataFormatString="{0:MM/d/yyyy h:mm tt}"
                        SortExpression="CreateDate" ItemStyle-Wrap="false" />
                    <telerik:GridBoundColumn DataField="UpdateOperator" HeaderText="Last Update By" SortExpression="UpdateOperator" />
                    <telerik:GridBoundColumn ItemStyle-Wrap="false" DataField="UpdateDate" HeaderText="Last Updated On"
                        DataFormatString="{0:MM/d/yyyy h:mm tt}" SortExpression="UpdateDate"  />
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    <pp:ObjectContainerDataSource ID="SecurityContextDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.SecurityContext"
        OnDeleted="SecurityContextDataSource_Deleted" />
</asp:Content>
