﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditSecurityContextForm.ascx.cs"
    Inherits="Security_EditSecurityContextForm" %>
    <%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
            <table cellpadding="2" cellspacing="0" border="0">
                <tr>
                    <td class="cellTitle">
                        User Name</td>
                    <td class="cellData">
                        <asp:TextBox ID="UserName" runat="Server" Text='<%# DataBinder.Eval( Container, "DataItem.UserName" )  %>' MaxLength="50"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="UserNameRequiredFieldValidator" runat="server" ControlToValidate="UserName"
                ErrorMessage="User Name Required <br>" Display="Dynamic" Text="*"></asp:RequiredFieldValidator>
                    </td>                    
                    <td class="cellTitle">
                        System UserID</td>
                    <td class="cellData">
                        <asp:TextBox ID="SystemUserID" runat="Server" Text='<%# DataBinder.Eval( Container, "DataItem.SystemUserId" ) %>' MaxLength="9"></asp:TextBox>
                    </td>
                    <td class="cellTitle">
                        <asp:Label ID="LabelMove" runat="server" Visible='<%# !(DataItem is Telerik.Web.UI.GridInsertionObject) %>' Text="Move to User Id" /> </td>
                    <td class="cellData">
                        <asp:TextBox ID="MoveUserId" runat="Server" Text='' MaxLength="9" Visible='<%# !(DataItem is Telerik.Web.UI.GridInsertionObject) %>'></asp:TextBox>
                        <asp:CompareValidator ID="MoveUserIdIntValidator" runat="server" ErrorMessage="Move to User Id must be an Integer" ControlToValidate="MoveUserId" Operator="DataTypeCheck" Type="Integer" Text="*" Display="Dynamic" ></asp:CompareValidator>
                    </td>
                    
                    
                </tr>
                <tr>
                    <td>
                        Password</td>
                    <td class="cellData">
                        <asp:TextBox ID="Password" runat="Server" Text='<%# DataBinder.Eval( Container, "DataItem.Password" ) %>' MaxLength="128"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="PasswordRequiredFieldValidator" runat="server" ControlToValidate="Password"
                ErrorMessage="Password Required <br>" Display="Dynamic" Text="*"></asp:RequiredFieldValidator>
                    </td>
                    <td>
                        Hint</td>
                    <td class="cellData">
                        <asp:TextBox ID="Hint" Width="150" runat="Server" Text='<%# DataBinder.Eval( Container, "DataItem.Hint" ) %>' MaxLength="256"></asp:TextBox></td>
                    
                </tr>
                <tr>
                    <td class="cellTitle">
                        Security Context Id
                    </td>
                    <td class="cellData">
                        <asp:DropDownList ID="SecurityContext" runat="server" DataSourceID="SecurityContextDataSource" DataTextField="Name" DataValueField="ID">
                        </asp:DropDownList></td>
                    <td>Hint Answer</td>
                    <td class="cellData">
                        <asp:TextBox ID="HintAnswer" Width="150" runat="Server" Text='<%# DataBinder.Eval( Container, "DataItem.HintAnswer" ) %>' MaxLength="128"></asp:TextBox></td>
                                        
                </tr>
                <tr>
                    <td class="cellTitle">
                        Institutional Id
                    </td>
                    <td class="cellData">
                        <asp:DropDownList ID="Institution" runat="server" DataSourceID="InstitutionDataSource" DataTextField="Name" DataValueField="ID">
                            
                        </asp:DropDownList></td>
                    <td>
                        Active</td>
                    <td class="cellData">
                        <asp:CheckBox ID="ActiveFlag" runat="Server"></asp:CheckBox></td>                        
                </tr>
                <tr>
                    <td colspan="2"></td>
                    <td>Is Locked Out</td>
                    <td><asp:CheckBox ID="IsLockedOut" runat="Server" ></asp:CheckBox></td>            
                </tr>                
                <tr>
                    <td> </td>
                    <td class="cellTitle">
                        <asp:Button ID="btnUpdate" Text="Update" runat="server" CommandName="Update" Visible='<%# !(DataItem is Telerik.Web.UI.GridInsertionObject) %>'>
                        </asp:Button>
                        <asp:Button ID="btnMove" Text="Move" runat="server" CommandName="Update" Visible='<%# !(DataItem is Telerik.Web.UI.GridInsertionObject) %>' CommandArgument="Move">
                        </asp:Button>
                        <asp:Button ID="btnInsert" Text="Insert" runat="server" CommandName="PerformInsert"
                            Visible='<%# DataItem is Telerik.Web.UI.GridInsertionObject %>'></asp:Button>
                        <asp:Button ID="btnCancel" Text="Cancel" runat="server" CausesValidation="False"
                            CommandName="Cancel"></asp:Button>                        
                        <asp:Label ID="EditionType" runat="server" Text="Identity" Visible="False"></asp:Label>
                    </td>
                </tr>
            </table>
        <pp:ObjectContainerDataSource ID="SecurityContextDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.SecurityContext"/>
        <pp:ObjectContainerDataSource ID="InstitutionDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Institution" />
  
