<%@ Control Language="C#" AutoEventWireup="true" CodeFile="InsertUserForm.ascx.cs"
    Inherits="Security_WebParts_InsertUserForm" %>
<table cellpadding="2" cellspacing="0" border="0">
    <tr>
        <td class="cellTitle">
            First Name:</td>
        <td class="cellData">
            <asp:TextBox ID="FirstName" Width="150" runat="server" MaxLength="100"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="FirstName"
                ErrorMessage="First Name Required <br>" Display="Dynamic" 
                Text="*"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="cellTitle">
            Last Name:</td>
        <td class="cellData">
            <asp:TextBox ID="LastName" Width="150" runat="server" MaxLength="100"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="LastName"
                ErrorMessage="Last Name Required <br>" Display="Dynamic" 
                Text="*"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="cellTitle">
            Email:
        </td>
        <td class="cellData">
            <asp:TextBox ID="Email" Width="150" runat="server" MaxLength="50"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="Email"
                ErrorMessage="Email Name Required <br>" Display="Dynamic" 
                Text="*"></asp:RequiredFieldValidator>
            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ErrorMessage="Invalid Email Address <br>"
                ControlToValidate="Email" Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">*</asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="cellTitle">
            OLA Id:</td>
        <td class="cellData">
            <asp:TextBox ID="OlaId" Width="150" runat="server" MaxLength="50"></asp:TextBox>                       
        </td>
    </tr>
    <tr>
        <td class="cellTitle">
            OLA Password:</td>
        <td class="cellData">
            <asp:TextBox ID="Password" Width="150" runat="server" MaxLength="128"></asp:TextBox>
            <asp:RequiredFieldValidator ID="OLAPasswordValidator" runat="server" ControlToValidate="Password"
                ErrorMessage="OLA Password Required <br>" Display="Dynamic" Text="*"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="cellTitle">
            System User Id:</td>
        <td class="cellData">
            <asp:TextBox ID="SystemUserId" Width="150" runat="server" MaxLength="9"></asp:TextBox>            
        </td>
    </tr>
    <tr>
        <td>
        </td>
        <td class="cellData">
            <asp:Button ID="btnInsert" Text="Insert" runat="server" CommandName="PerformInsert"
                Visible='<%# DataItem is Telerik.Web.UI.GridInsertionObject %>' ></asp:Button>
            <asp:Button ID="btnCancel" Text="Cancel" runat="server" CausesValidation="False"
                CommandName="Cancel" ></asp:Button>
            <asp:Label ID="EditionType" runat="server" Text="User" Visible="False"></asp:Label>
        </td>
    </tr>
</table>
