using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using EnumControls;

namespace LCPCustomControls
{
    [ToolboxData("<{0}:EnumeratedRadioButton runat=server></{0}:EnumeratedRadioButton>")]
    public class EnumeratedRadioButton : RadioButtonEnum
    {
        [Bindable(true)]
        [Category("Behavior")]
        public virtual string Value
        {
            get
            {
                return this.SelectedItem.Value.ToString();
            }

            set
            {
                foreach (ListItem listItem in this.Items)
                {
                    if (listItem.Value.ToString() == value)
                    {
                        listItem.Selected = true;
                        break;
                    }
                }
            }
        }
    }
}
