using System;
using System.Collections.Generic;
using System.Text;
using OHE.LCP.Admin.Messages.BusinessEntities;
using OHE.FoundationModules.ProviderServices.BusinessEntities;
using OHE.FoundationModules.Base.Business;

namespace OHE.LCP.Admin.Messages.Interface
{
    public interface IMessageService
    {
        IList<Message> GetAllMessages();

        Message GetMessage(int messageID);

        void InsertMessage(Message message);

        void UpdateMessage(Message message);

        void DeleteMessage(int messageID);

        List<Message> GetMessagesForLCP(string RoleIDs, string SchoolIDs, string ProgramIDs, string ConcentrationIDs, string CourseIDs, string SectionIDs, string PersonID);

        Dictionary<string, List<IBusinessEntity>> GetCollegeProgramConcentrations(Enums.BusinessEntityStructureType structureType);
    }
}
