using System;
using System.Collections.Generic;
using System.Text;
using OHE.Security.DataTypes;

namespace OHE.Admin.Security.Module.Services
{
    public interface IAuthenticationServiceAgent
    {        
        User GetUser(int ID);
        User GetUserWithAllIdentities(int ID);
        bool ResetPassword(OHE.Security.DataTypes.Institution institution, string userName, int systemID);
        bool UpdateIdentity(int userID, OHE.Security.DataTypes.Identity identity);
        List<string> CreateUser(OHE.Security.DataTypes.User user);
        bool UpdatePassword(OHE.Security.DataTypes.Identity identity, string oldPassword);
    }
}
