using System;
using System.Collections.Generic;
using System.Text;
using System.Web;
using OHE.LCP.Admin.Shell.Properties;

namespace OHE.LCP.Admin.Shell
{
    public class Constants
    {
        public static class SiteMapKeys
        {
            //Root
            public static String RootUrl = "~/Default.aspx";
            public static String RootTitle = "LCP Admin";

            //Home
            public const String HomeKey = "Home";
            public const String HomeTitle = "Home";
            public const String HomeUrl = "~/Default.aspx";
            public const String HomeDescription = "Home";
            public const Int32 HomeIndex = 1;

            //Class Search
            public const String ClassSearchKey = "ClassSearch";
            public const String ClassSearchTitle = "Class Search";
            //need to direct to default first and redirect from there since you can't place external links into the treee
            public static String ClassSearchUrl = String.Format("~/Default.aspx?url={0}", HttpUtility.UrlEncode(Settings.Default.ClassSearchUrl));
            public const String ClassSearchDescription = "Class Search";
            public const Int32 ClassSearchIndex = 2;
        }
    }
}
