﻿using System;
using System.Collections.Generic;
using System.Text;

namespace OHE.LCP.Admin.CourseCopying.BusinessEntities
{
    [Serializable]
    public partial class CopyHistory
    {
        public CopyHistory()
        {
        }

        public CopyHistory(System.String bannerCourseCode, System.String bannerCourseTitle, System.String bannerCRN, System.String bannerGroupCode, System.String bannerNode, System.String bannerSchoolName, System.String bannerSectionID, System.String bannerSubTerm, System.String bannerSubTermDescription, System.String bannerTerm, System.String bannerTermDescription, System.String copierID, System.Int32 copyHistoryID, Nullable<System.DateTime> dateCopied, System.String eCollegeTerm, System.String eCollegeTermECollegeID, Nullable<System.Int32> eCollegeTermID, System.String masterCourseDisplayCode, System.String masterCourseECollegeID, Nullable<System.Int32> masterCourseID, System.String masterCourseSourceNode, System.String masterCourseTitle, System.String batchNumber, System.String instructorFirstName, System.String instructorMiddleInitial, System.String instructorLastName, System.String bannerSectionCode, System.DateTime bannerCourseStartDate, System.Boolean handledManually)
        {
            this.bannerCourseCodeField = bannerCourseCode;
            this.bannerCourseTitleField = bannerCourseTitle;
            this.bannerCRNField = bannerCRN;
            this.bannerGroupCodeField = bannerGroupCode;
            this.bannerNodeField = bannerNode;
            this.bannerSchoolNameField = bannerSchoolName;
            this.bannerSectionIDField = bannerSectionID;
            this.bannerSubTermField = bannerSubTerm;
            this.bannerSubTermDescriptionField = bannerSubTermDescription;
            this.bannerTermField = bannerTerm;
            this.bannerTermDescriptionField = bannerTermDescription;
            this.copierIDField = copierID;
            this.copyHistoryIDField = copyHistoryID;
            this.dateCopiedField = dateCopied;
            this.eCollegeTermField = eCollegeTerm;
            this.eCollegeTermECollegeIDField = eCollegeTermECollegeID;
            this.eCollegeTermIDField = eCollegeTermID;
            this.masterCourseDisplayCodeField = masterCourseDisplayCode;
            this.masterCourseECollegeIDField = masterCourseECollegeID;
            this.masterCourseIDField = masterCourseID;
            this.masterCourseSourceNodeField = masterCourseSourceNode;
            this.masterCourseTitleField = masterCourseTitle;
            this.batchNumberField = batchNumber;
            this.instructorFirstNameField = instructorFirstName;
            this.instructorMiddleInitialField = instructorMiddleInitial;
            this.instructorLastNameField = instructorLastName;
            this.bannerSectionCodeField = bannerSectionCode;
            this.bannerCourseStartDateField = bannerCourseStartDate;
            this.handledManuallyField = handledManually;
        }

        private System.Boolean handledManuallyField;
        public System.Boolean HandledManually
        {
            get { return handledManuallyField; }
            set { handledManuallyField = value; }
        }

        private System.DateTime bannerCourseStartDateField;
        public System.DateTime BannerCourseStartDate
        {
            get { return bannerCourseStartDateField; }
            set { bannerCourseStartDateField = value; }
        }

        private System.String bannerSectionCodeField;
        public System.String BannerSectionCode
        {
            get { return bannerSectionCodeField; }
            set { bannerSectionCodeField = value; }
        }

        private System.String instructorFirstNameField;
        public System.String InstructorFirstName
        {
            get { return instructorFirstNameField; }
            set { instructorFirstNameField = value; }
        }

        private System.String instructorMiddleInitialField;
        public System.String InstructorMiddleInitial
        {
            get { return instructorMiddleInitialField; }
            set { instructorMiddleInitialField = value; }
        }

        private System.String instructorLastNameField;
        public System.String InstructorLastName
        {
            get { return instructorLastNameField; }
            set { instructorLastNameField = value; }
        }

        private System.String batchNumberField;

        public System.String BatchNumber
        {
            get { return batchNumberField; }
            set { batchNumberField = value; }
        }

        private System.String bannerCourseCodeField;

        public System.String BannerCourseCode
        {
            get { return this.bannerCourseCodeField; }
            set { this.bannerCourseCodeField = value; }
        }

        private System.String bannerCourseTitleField;

        public System.String BannerCourseTitle
        {
            get { return this.bannerCourseTitleField; }
            set { this.bannerCourseTitleField = value; }
        }

        private System.String bannerCRNField;

        public System.String BannerCRN
        {
            get { return this.bannerCRNField; }
            set { this.bannerCRNField = value; }
        }

        private System.String bannerGroupCodeField;

        public System.String BannerGroupCode
        {
            get { return this.bannerGroupCodeField; }
            set { this.bannerGroupCodeField = value; }
        }

        private System.String bannerNodeField;

        public System.String BannerNode
        {
            get { return this.bannerNodeField; }
            set { this.bannerNodeField = value; }
        }

        private System.String bannerSchoolNameField;

        public System.String BannerSchoolName
        {
            get { return this.bannerSchoolNameField; }
            set { this.bannerSchoolNameField = value; }
        }

        private System.String bannerSectionIDField;

        public System.String BannerSectionID
        {
            get { return this.bannerSectionIDField; }
            set { this.bannerSectionIDField = value; }
        }

        private System.String bannerSubTermField;

        public System.String BannerSubTerm
        {
            get { return this.bannerSubTermField; }
            set { this.bannerSubTermField = value; }
        }

        private System.String bannerSubTermDescriptionField;

        public System.String BannerSubTermDescription
        {
            get { return this.bannerSubTermDescriptionField; }
            set { this.bannerSubTermDescriptionField = value; }
        }

        private System.String bannerTermField;

        public System.String BannerTerm
        {
            get { return this.bannerTermField; }
            set { this.bannerTermField = value; }
        }

        private System.String bannerTermDescriptionField;

        public System.String BannerTermDescription
        {
            get { return this.bannerTermDescriptionField; }
            set { this.bannerTermDescriptionField = value; }
        }

        private System.String copierIDField;

        public System.String CopierID
        {
            get { return this.copierIDField; }
            set { this.copierIDField = value; }
        }

        private System.Int32 copyHistoryIDField;

        public System.Int32 CopyHistoryID
        {
            get { return this.copyHistoryIDField; }
            set { this.copyHistoryIDField = value; }
        }

        private Nullable<System.DateTime> dateCopiedField;

        public Nullable<System.DateTime> DateCopied
        {
            get { return this.dateCopiedField; }
            set { this.dateCopiedField = value; }
        }

        private System.String eCollegeTermField;

        public System.String ECollegeTerm
        {
            get { return this.eCollegeTermField; }
            set { this.eCollegeTermField = value; }
        }

        private System.String eCollegeTermECollegeIDField;

        public System.String ECollegeTermECollegeID
        {
            get { return this.eCollegeTermECollegeIDField; }
            set { this.eCollegeTermECollegeIDField = value; }
        }

        private Nullable<System.Int32> eCollegeTermIDField;

        public Nullable<System.Int32> ECollegeTermID
        {
            get { return this.eCollegeTermIDField; }
            set { this.eCollegeTermIDField = value; }
        }

        private System.String masterCourseDisplayCodeField;

        public System.String MasterCourseDisplayCode
        {
            get { return this.masterCourseDisplayCodeField; }
            set { this.masterCourseDisplayCodeField = value; }
        }

        private System.String masterCourseECollegeIDField;

        public System.String MasterCourseECollegeID
        {
            get { return this.masterCourseECollegeIDField; }
            set { this.masterCourseECollegeIDField = value; }
        }

        private Nullable<System.Int32> masterCourseIDField;

        public Nullable<System.Int32> MasterCourseID
        {
            get { return this.masterCourseIDField; }
            set { this.masterCourseIDField = value; }
        }

        private System.String masterCourseSourceNodeField;

        public System.String MasterCourseSourceNode
        {
            get { return this.masterCourseSourceNodeField; }
            set { this.masterCourseSourceNodeField = value; }
        }

        private System.String masterCourseTitleField;

        public System.String MasterCourseTitle
        {
            get { return this.masterCourseTitleField; }
            set { this.masterCourseTitleField = value; }
        }

    }
}

