using System;
using System.Collections.Generic;
using System.Text;
using OHE.LCP.Admin.CourseCopying.BusinessEntities;

namespace OHE.LCP.Admin.CourseCopying.BusinessEntities
{
    public partial class Section
    {
        private Term _term;
        private SubTerm _subTerm;
        private SourceNode _sourceNode;
        private Course _course;
        private string _historyECollegeTermID;
        private string _historyECollegeTerm;
        private int _historyECollegeID;
        private string _courseCode;
        private string _termString;
        private string _subTermString;

        public string TermString
        {
            get { return _termString; }
            set { _termString = value; }
        }

        public string SubTermString
        {
            get { return _subTermString; }
            set { _subTermString = value; }
        }

        public string CourseCode
        {
            get { return _courseCode; }
            set { _courseCode = value; }
        }

        public Term SectionTerm
        {
            get { return _term; }
            set { _term = value; }
        }

        public SubTerm SectionSubTerm
        {
            get { return _subTerm; }
            set { _subTerm = value; }
        }

        public SourceNode SectionNode
        {
            get 
            {
                if (_sourceNode == null)
                {
                    _sourceNode = new SourceNode("");
                }
                return _sourceNode;
            }
            set { _sourceNode = value; }
        }

        public Course SectionCourse
        {
            get { return _course; }
            set { _course = value; }
        }

        public string Instructor
        {
            get { return this.instructorFirstNameField + " " + this.instructorMiddleInitialField + " " + this.instructorLastNameField; }
        }

        public string HistoryECollegeTermID
        {
            get { return _historyECollegeTermID; }
            set { _historyECollegeTermID = value; }
        }

        public string HistoryECollegeTerm
        {
            get { return _historyECollegeTerm; }
            set { _historyECollegeTerm = value; }
        }

        public int HistoryECollegeID
        {
            get { return _historyECollegeID; }
            set { _historyECollegeID = value; }
        }
    }
}
