﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using OHE.LCP.Admin.CourseCopying.BusinessEntities;

namespace OHE.LCP.Admin.CourseCopying.DataAccess
{
    /// <summary>
    /// Construct a SourceNode object from a datareader.
    /// </summary>
    internal class GetSourceNodeByNodeFactory : IDomainObjectFactory<SourceNode>
    {
        public SourceNode Construct(IDataReader reader)
        {
            SourceNode sourceNode = new SourceNode();

            int nodeIndex = reader.GetOrdinal("Node");
            if (!reader.IsDBNull(nodeIndex))
            {
                sourceNode.Node = reader.GetString(nodeIndex);

            }


            return sourceNode;
        }
    }
}

