﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using OHE.LCP.Admin.CourseCopying.BusinessEntities;

namespace OHE.LCP.Admin.CourseCopying.DataAccess
{
    /// <summary>
    /// Construct a Term object from a datareader.
    /// </summary>
    internal class GetTermByTermFactory : IDomainObjectFactory<Term>
    {
        public Term Construct(IDataReader reader)
        {
			Term term = new Term();
			
			int termDescriptionIndex = reader.GetOrdinal("TermDescription"); 
            if(!reader.IsDBNull(termDescriptionIndex))
            {
				term.TermDescription= reader.GetString(termDescriptionIndex);

			}

			int termNameIndex = reader.GetOrdinal("Term"); 
            if(!reader.IsDBNull(termNameIndex))
            {
				term.TermName= reader.GetString(termNameIndex);

			}

           
			return term; 
        }
    }
}

