using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace OHE.LCP.Admin.DataContracts
{
    /// <summary>
    /// Data Contract Class - Message
    /// </summary>
    [DataContract(Namespace = "http://OHE.LCP.Admin.DataContracts/2007/09", Name = "Message")]
    public partial class Message
    {

        private System.String BodyField;

        [DataMember(IsRequired = false, Name = "Body", Order = 1)]
        public System.String Body
        {
            get { return BodyField; }
            set { BodyField = value; }
        }

        private Nullable<System.DateTime> EndDateTimeField;

        [DataMember(IsRequired = false, Name = "EndDateTime", Order = 2)]
        public Nullable<System.DateTime> EndDateTime
        {
            get { return EndDateTimeField; }
            set { EndDateTimeField = value; }
        }

        private System.Int32 MessageIDField;

        [DataMember(IsRequired = false, Name = "MessageID", Order = 3)]
        public System.Int32 MessageID
        {
            get { return MessageIDField; }
            set { MessageIDField = value; }
        }

        private System.Int32 PriorityIDField;

        [DataMember(IsRequired = false, Name = "PriorityID", Order = 4)]
        public System.Int32 PriorityID
        {
            get { return PriorityIDField; }
            set { PriorityIDField = value; }
        }

        private Nullable<System.DateTime> StartDateTimeField;

        [DataMember(IsRequired = false, Name = "StartDateTime", Order = 5)]
        public Nullable<System.DateTime> StartDateTime
        {
            get { return StartDateTimeField; }
            set { StartDateTimeField = value; }
        }

        private System.Int32 StatusIDField;

        [DataMember(IsRequired = false, Name = "StatusID", Order = 6)]
        public System.Int32 StatusID
        {
            get { return StatusIDField; }
            set { StatusIDField = value; }
        }

        private System.String SubjectField;

        [DataMember(IsRequired = false, Name = "Subject", Order = 7)]
        public System.String Subject
        {
            get { return SubjectField; }
            set { SubjectField = value; }
        }

        private System.Boolean IsReadField;

        [DataMember(IsRequired = false, Name = "IsRead", Order = 8)]
        public System.Boolean IsRead
        {
            get { return IsReadField; }
            set { IsReadField = value; }
        }

        private System.String FromField;

        [DataMember(IsRequired = false, Name = "From", Order = 9)]
        public System.String From
        {
            get { return FromField; }
            set { FromField = value; }
        }

        private System.String CreatedByField;

        [DataMember(IsRequired = false, Name = "CreatedBy", Order = 10)]
        public System.String CreatedBy
        {
            get { return CreatedByField; }
            set { CreatedByField = value; }
        }

        private System.String LastUpdatedByField;

        [DataMember(IsRequired = false, Name = "LastUpdatedBy", Order = 11)]
        public System.String LastUpdatedBy
        {
            get { return this.LastUpdatedByField; }
            set { this.LastUpdatedByField = value; }
        }

        private System.DateTime CreatedDateTimeField;

        [DataMember(IsRequired = false, Name = "CreatedDateTime", Order = 12)]
        public System.DateTime CreatedDateTime
        {
            get { return this.CreatedDateTimeField; }
            set { this.CreatedDateTimeField = value; }
        }

        private System.DateTime LastUpdatedDateTimeField;

        [DataMember(IsRequired = false, Name = "LastUpdatedDateTime", Order = 13)]
        public System.DateTime LastUpdatedDateTime
        {
            get { return this.LastUpdatedDateTimeField; }
            set { this.LastUpdatedDateTimeField = value; }
        }
    }
}
