using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace OHE.LCP.Admin.DataContracts
{
    /// <summary>
    /// Data Contract Class - MessageRead
    /// </summary>
    [DataContract(Namespace = "http://OHE.LCP.Admin.DataContracts/2007/09", Name = "MessageRead")]
    public partial class MessageRead
    {
        private System.Int32 MessageIDField;

        [DataMember(IsRequired = true, Name = "MessageID", Order = 0)]
        public System.Int32 MessageID
        {
            get { return MessageIDField; }
            set { MessageIDField = value; }
        }

        private System.String LCPUserIDField;

        [DataMember(IsRequired = true, Name = "LCPUserID", Order = 1)]
        public System.String LCPUserID
        {
            get { return LCPUserIDField; }
            set { LCPUserIDField = value; }
        }

        private System.DateTime ReadDateTimeField;

        [DataMember(IsRequired = true, Name = "ReadDateTime", Order = 2)]
        public System.DateTime ReadDateTime
        {
            get { return ReadDateTimeField; }
            set { ReadDateTimeField = value; }
        }

    }
}
