<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EditSecurityContextForm.ascx.cs"
    Inherits="Security_EditSecurityContextForm" %>
    <%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
            <table cellpadding="2" cellspacing="0" border="0">
                <tr>
                    <td class="cellTitle">
                        Log in Id</td>
                    <td class="cellData">
                        <asp:TextBox ID="LogInId" runat="Server" Text=''></asp:TextBox>
                    </td>
                    <td class="cellTitle">
                        System UserID</td>
                    <td class="cellData">
                        <asp:TextBox ID="SystemUserID" runat="Server" Text='<%# DataBinder.Eval( Container, "DataItem.SystemUserId" ) %>'></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        Password</td>
                    <td class="cellData">
                        <asp:TextBox ID="Password" runat="Server" Text='<%# DataBinder.Eval( Container, "DataItem.Password" ) %>'></asp:TextBox>
                    </td>
                    <td>
                        Hint</td>
                    <td class="cellData">
                        <asp:TextBox ID="Hint" Width="150" runat="Server" Text='<%# DataBinder.Eval( Container, "DataItem.Hint" ) %>'></asp:TextBox></td>
                </tr>
                <tr>
                    <td class="cellTitle">
                        Security Context Id
                    </td>
                    <td class="cellData">
                        <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="SecurityContextDataSource" DataTextField="Name" DataValueField="ID">
                        </asp:DropDownList></td>
                    <td>Hint Answer</td>
                    <td class="cellData">
                        <asp:TextBox ID="HintAnswer" Width="150" runat="Server" Text='<%# DataBinder.Eval( Container, "DataItem.Hint" ) %>'></asp:TextBox></td>
                </tr>
                <tr>
                    <td class="cellTitle">
                        Institutional Id
                    </td>
                    <td class="cellData">
                        <asp:DropDownList ID="DropDownList2" runat="server" DataSourceID="InstitutionDataSource" DataTextField="Name" DataValueField="ID">
                        </asp:DropDownList></td>
                    <td>
                        Active</td>
                    <td class="cellData">
                        <asp:CheckBox ID="ActiveFlag" runat="Server" Checked='true'></asp:CheckBox></td>
                </tr>            
                
                <tr>
                    <td> </td>
                    <td class="cellTitle">
                        <asp:Button ID="btnUpdate" Text="Update" runat="server" CommandName="Update" Visible='<%# !(DataItem is Telerik.Web.UI.GridInsertionObject) %>'>
                        </asp:Button>
                        <asp:Button ID="btnInsert" Text="Insert" runat="server" CommandName="PerformInsert"
                            Visible='<%# DataItem is Telerik.Web.UI.GridInsertionObject %>'></asp:Button>
                        <asp:Button ID="btnCancel" Text="Cancel" runat="server" CausesValidation="False"
                            CommandName="Cancel"></asp:Button>                        
                        <asp:Label ID="EditionType" runat="server" Text="Identity" Visible="False"></asp:Label>
                    </td>
                </tr>
            </table>
        <pp:ObjectContainerDataSource ID="SecurityContextDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.SecurityContext"/>
        <pp:ObjectContainerDataSource ID="InstitutionDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Institution" />
  
