using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WebServiceTest.MessagesService;

namespace WebServiceTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string[] _roles = RoleIDs.Text.Split(new char[] { ',' });
            string[] _schools = SchoolIDs.Text.Split(new char[] { ',' });
            string[] _programs = ProgramIDs.Text.Split(new char[] { ',' });
            string[] _concentrations = ConcentrationIDs.Text.Split(new char[] { ',' });
            string[] _courses = CourseIDs.Text.Split(new char[] { ',' });
            string[] _sections = SectionIDs.Text.Split(new char[] { ',' });
            
            GetMessagesRequest _request = new GetMessagesRequest(_roles, _schools, _programs, _concentrations, _courses, _sections, PersonID.Text);
            IMessagesService _service = new MessagesServiceClient();
            GetMessagesResponse _response = _service.GetMessages(_request);
            dataGridView1.DataSource = _response.Messages;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            AddMessageReadRequest _request = new AddMessageReadRequest(Convert.ToInt32(MessageID.Text), LCPUserID.Text, Convert.ToDateTime(ReadDateTime.Text));
            IMessagesService _service = new MessagesServiceClient();
            AddMessageReadResponse _response = _service.AddMessageRead(_request);
            lblResult.Text = "Result = " + _response.Result.ToString();
        }

    }
}