﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Confirm.aspx.cs" Inherits="CourseCopying_Confirm"
    Title="Confirm" MasterPageFile="~/Shared/Default.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="content" ContentPlaceHolderID="DefaultContent" Runat="Server">
		<h1>Course Copying Confirmation</h1>
		<p><asp:Label ID="lbl1" runat="server" Width="900" Text="You have selected the following courses to be copied to eCollege.  If this list is correct, click the Confirm button.  If there are problems, click the Back button to return to the Course Copying screen and make changes."></asp:Label></p>
		<telerik:RadGrid ID="SelectedCourses" Width="900" runat="server" DataSourceID="CoursesDataSource" OnItemDataBound="SelectedCourses_ItemDataBound">
            <MasterTableView DataKeyNames="CourseCode">
		        <Columns>
		            <telerik:GridTemplateColumn HeaderText="School">
		                <ItemTemplate>
		                    <asp:Label ID="lblSchool" runat="server"></asp:Label>
		                </ItemTemplate>
		            </telerik:GridTemplateColumn>
		            <telerik:GridTemplateColumn HeaderText="Course">
		                <ItemTemplate>
		                    <asp:Label ID="lblCourse" runat="server"></asp:Label>
		                </ItemTemplate>
		            </telerik:GridTemplateColumn>
		            <telerik:GridTemplateColumn HeaderText="eCollege Master">
		                <ItemTemplate>
		                    <asp:Label ID="lbleCollegeMaster" runat="server"></asp:Label>
		                </ItemTemplate>
		            </telerik:GridTemplateColumn>
		            <telerik:GridTemplateColumn HeaderText="Sections / Instructor">
		                <ItemTemplate>
		                    <asp:GridView ID="grdSectionsInstructor" runat="server" AutoGenerateColumns="false" ShowHeader="false" GridLines="none" BorderStyle="None" CellPadding="3">
		                        <Columns>
		                            <asp:BoundField DataField="SectionCode" ItemStyle-BorderStyle="none" />
		                            <asp:BoundField DataField="InstructorFirstName" ItemStyle-BorderStyle="none" />
		                            <asp:BoundField DataField="InstructorLastName" ItemStyle-BorderStyle="none" />
		                        </Columns>
		                    </asp:GridView>
		                </ItemTemplate>
		            </telerik:GridTemplateColumn>
		            <telerik:GridTemplateColumn HeaderText="eCollege Term">
		                <ItemTemplate>
		                    <asp:Label ID="lbleCollegeTerm" runat="server"></asp:Label>
		                </ItemTemplate>
		            </telerik:GridTemplateColumn>
		            <telerik:GridTemplateColumn HeaderText="Course Start Date">
		                <ItemTemplate>
		                    <asp:Label ID="lblCourseStartDate" runat="server"></asp:Label>
		                </ItemTemplate>
		            </telerik:GridTemplateColumn>
		        </Columns>
            </MasterTableView>
		</telerik:RadGrid>
		<br />
		<div style="text-align:right; width:900px;">
		    <asp:Button ID="btnBack" runat="server" Text="Back" OnClick="btnBack_Click" />
		    <asp:Button ID="btnConfirm" runat="server" Text="Confirm" OnClick="btnConfirm_Click" />
		</div>
    <pp:ObjectContainerDataSource ID="CoursesDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.Course" />
</asp:Content>
