﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CourseCopy.aspx.cs" Inherits="CourseCopying_CourseCopy"
    Title="CourseCopy" MasterPageFile="~/Shared/Default.master" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<%@ Import Namespace="OHE.LCP.Admin.CourseCopying.BusinessEntities" %>
<asp:Content ID="content" ContentPlaceHolderID="DefaultContent" runat="Server">

    <script language="javascript" type="text/javascript">
         
            function doSelectMaster(courseCode)
            {
                var features = 'dialogHeight:570px;dialogWidth:1000px;';
                var url = 'CourseCopyPopUp.aspx?courseCode=' + courseCode;
                var retval;
                retval = window.showModalDialog(url, '', features);
                document.location.href = 'CourseCopy.aspx';
            }
            
            function isChecked()
            {
                var isChecked = false;
                for(i=0;i<document.forms[0].elements.length;i++)
                {
                    var ctrlName = document.forms[0].elements[i].name;
                    if(ctrlName.indexOf('chkCopy')!=-1)
                    {
                        if(document.forms[0].elements[i].checked)
                        {
                            isChecked = true;
                        }
                    }
                }
                
                return isChecked;
            }

            function checkForChecked()
            {
                if(isChecked())
                {
                    return confirm('You have checked courses to copy.  If you change the filter selections you will lose all of the selections that you have made and will have to start over.  Are you sure you want to change the filter selections?');
                } else
                {
                    return true;
                }
            }
    </script>

    <h1>
        Course Copying</h1>
        
    <asp:ValidationSummary ID="valSummary" runat="server" DisplayMode="BulletList" EnableClientScript="true"
        HeaderText="The following errors occurred:" />
    <table border="0" cellspacing="0" cellpadding="5" style="width: 900px">
        <tr>
            <td valign="top" style="border-right: gray thin solid; border-top: gray thin solid;
                border-left: gray thin solid; border-bottom: gray thin solid; background-color: white">
                <table border="0" cellspacing="0" cellpadding="5">
                    <tr>
                        <td colspan="4">
                            <asp:Label ID="lbl0" runat="server" Text="Courses Filter" Font-Bold="true"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lbl1" runat="server" Text="Banner Term:"></asp:Label></td>
                        <td colspan="2">
                            <asp:DropDownList ID="ddlTerm" runat="server" DataSourceID="TermsDataSource" DataTextField="DescriptionCode"
                                DataValueField="TermName" AutoPostBack="True" OnSelectedIndexChanged="ddlTerm_SelectedIndexChanged"
                                OnDataBound="ddlTerm_DataBound">
                                <asp:ListItem Text="Select One" Value=""></asp:ListItem>
                            </asp:DropDownList>
                            <asp:RequiredFieldValidator ID="valTerm" runat="server" ControlToValidate="ddlTerm"
                                Display="dynamic" EnableClientScript="true" ErrorMessage="You must select a Banner Term"
                                Text="*"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lbl3" runat="server" Text="Banner Part of Term:"></asp:Label></td>
                        <td>
                            <asp:DropDownList ID="ddlSubTerm" runat="server" DataSourceID="SubTermsDataSource"
                                DataTextField="DescriptionCode" DataValueField="SubTermName" OnDataBound="ddlSubTerm_DataBound">
                                <asp:ListItem Text="Select One" Value=""></asp:ListItem>
                            </asp:DropDownList>
                            <asp:RequiredFieldValidator ID="valSubTerm" runat="server" ControlToValidate="ddlSubTerm"
                                Display="dynamic" EnableClientScript="true" ErrorMessage="You must select a Banner Part of Term"
                                Text="*"></asp:RequiredFieldValidator>
                        </td>
                        <td>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lbl2" runat="server" Text="School:"></asp:Label></td>
                        <td>
                            <asp:DropDownList ID="ddlSchool" runat="server" DataSourceID="SchoolsDataSource"
                                DataTextField="SchoolName" DataValueField="SchoolName" OnDataBound="ddlSchool_DataBound">
                            </asp:DropDownList></td>
                        <td align="right">
                            <asp:Button ID="btnUpdate" runat="server" Text="Update" OnClick="btnUpdate_Click"
                                OnClientClick="return checkForChecked();" /></td>
                    </tr>
                </table>
            </td>
            <td>
                &nbsp;</td>
            <td valign="top" style="border-right: gray thin solid; border-top: gray thin solid;
                border-left: gray thin solid; border-bottom: gray thin solid; background-color: lightgoldenrodyellow">
                <table border="0" cellpadding="5" cellspacing="0">
                    <tr>
                        <td>
                            <asp:Label ID="lbl4" runat="server" Text="Selected eCollege Term for this batch"
                                Font-Bold="true"></asp:Label></td>
                    </tr>
                    <tr>
                        <td>
                            <asp:DropDownList ID="ddlECollegeTerms" runat="server" DataSourceID="ECollegeTermsDataSource"
                                DataTextField="eCollegeTerm" DataValueField="eCollegeID">
                            </asp:DropDownList></td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Button ID="btnCopy" runat="server" Text="Copy -->" Width="75" OnClick="btnCopy_Click" /></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <asp:CustomValidator runat="server" OnServerValidate="ValidateCourseGrid" ID="cvCourseGrid"
        Display="Dynamic" EnableClientScript="true" ClientValidationFunction="isChecked"
        ErrorMessage="You must select at least one course to copy." Text="*" />
    <br />
    
  <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Height="75px"
        IsSticky="False" Width="100%" Transparency="20" BackColor="#E0E0E0">
        <img style="margin-top: 190px;" id="loading_image" alt="Loading..." src='<%= RadAjaxLoadingPanel.GetWebResourceUrl(Page, "Telerik.Web.UI.Skins.Default.Ajax.loading.gif") %>'/>
    </telerik:RadAjaxLoadingPanel>
    
    <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" LoadingPanelID="RadAjaxLoadingPanel1"
         Width="900px" Height="440px" >
        <telerik:RadGrid ID="CoursesGrid" Height="420px"  OnItemDataBound="CoursesGrid_ItemDataBound" ShowGroupPanel="False" ShowStatusBar="true"
            runat="server" DataSourceID="CoursesDataSource" AllowMultiRowSelection="true" OnDetailTableDataBind="DetailTableDataBind">
            <MasterTableView DataKeyNames="CourseCode" DataSourceID="CoursesDataSource" AutoGenerateColumns="false"> 
       
               <DetailTables>
                    <telerik:GridTableView AutoGenerateColumns="false" Name="HistoryDetail" DataSourceID="HistoryDataSource" DataKeyNames="BannerCourseCode" Width="100%"
                        runat="server">
                        <Columns>
                            <telerik:GridBoundColumn DataField="BatchNumber" HeaderText="Batch #" SortExpression="BatchNumber" />
                            <telerik:GridBoundColumn DataField="FullSectionCode" HeaderText="Course Code" SortExpression="FullSectionCode" />
                            <telerik:GridBoundColumn DataField="MasterCourseDisplayCode" HeaderText="Master Course" SortExpression="MasterCourseDisplayCode" />
                            <telerik:GridBoundColumn DataField="CopierID" HeaderText="Copied By" SortExpression="CopierID" />
                            <telerik:GridBoundColumn DataField="DateCopied" HeaderText="Date Copied" SortExpression="DateCopied" />         
                        </Columns>
                    </telerik:GridTableView>
                </DetailTables>
            
                <Columns>
                    <telerik:GridTemplateColumn HeaderText="Course" >
                        <ItemTemplate>
                            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                <tr>
                                    <td style="border: none;" width="60px" nowrap="nowrap">
                                        <asp:Label ID="lblCode" runat="server" Text="<%# ((Course)Container.DataItem).CourseCode %>"></asp:Label></td>
                                    <td style="border: none;" width="150px">
                                        <asp:Label ID="lblTitle" runat="server" Text="<%# ((Course)Container.DataItem).CourseTitle %>"></asp:Label></td>
                                </tr>
                            </table>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn HeaderText="eCollege Master Course" >
                        <ItemTemplate>
                            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                <tr>
                                    <td style="border: none;" width="65px">
                                        <asp:Label ID="lblCourseDisplayCode" runat="server"></asp:Label></td>
                                    <td style="border: none;" width="240px">
                                        <asp:Label ID="lblCourseTitle" runat="server"></asp:Label></td>
                                    <td style="border: none;" width="50px">
                                        <asp:Label ID="lblECollegeID" runat="server"></asp:Label></td>
                                    <td style="border: none;" width="40px">
                                        <asp:HyperLink ID="hypChange" runat="server" Text="Change"></asp:HyperLink></td>
                                </tr>
                            </table>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridClientSelectColumn HeaderText="Copy" UniqueName="chkSelect" HeaderStyle-Width="30px" />
                    <telerik:GridTemplateColumn HeaderText="Copied" HeaderStyle-Width="40px"/>                    
                </Columns>
            </MasterTableView>
            <ClientSettings>
                <Selecting AllowRowSelect="true" />
            </ClientSettings>
        </telerik:RadGrid>
                         
       </telerik:RadAjaxPanel>

    <pp:ObjectContainerDataSource ID="CoursesDataSource" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.Course"
        runat="server" />
    <pp:ObjectContainerDataSource ID="TermsDataSource" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.Term"
        runat="server" />
    <pp:ObjectContainerDataSource ID="SubTermsDataSource" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.SubTerm"
        runat="server" />
    <pp:ObjectContainerDataSource ID="ECollegeTermsDataSource" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.ECollegeTerm"
        runat="server" />
    <pp:ObjectContainerDataSource ID="SchoolsDataSource" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.School"
        runat="server" />
    <pp:ObjectContainerDataSource ID="HistoryDataSource" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.CopyHistory"
        runat="server" />
</asp:Content>
