﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Terms.aspx.cs" Inherits="CourseCopying_Terms"
    Title="Terms" MasterPageFile="~/Shared/Default.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="content" ContentPlaceHolderID="DefaultContent" runat="Server">

    <script language="javascript" type="text/javascript" src="../Shared/jsLibrary.js"></script>

    <h1>
        ECollege Terms</h1>
    <table cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td>
                <asp:Image ID="Image1" ImageUrl="~/Images/AddRecord.gif" runat="server" /></td>
            <td>
                <asp:HyperLink ID="lnkAdd" runat="server" Text="Add New eCollege Term" NavigateUrl="~/CourseCopying/Terms.aspx?mode=insert"></asp:HyperLink></td>
        </tr>
    </table><br />
    <asp:ValidationSummary ID="ValSummary" runat="server" DisplayMode="bulletList" EnableClientScript="true"
        HeaderText="The following errors occurred:" ShowSummary="true" />
    <asp:DetailsView ID="ECollegeTermDetailsView" runat="server" AutoGenerateRows="false"
        DataKeyNames="TermID" GridLines="none" DataSourceID="ECollegeTermDataSource"
        BorderStyle="solid" BorderColor="black" BorderWidth="1" BackColor="white" CellPadding="5"
        Visible="false" OnModeChanging="ECollegeTermDetailsView_ModeChanging">
        <FieldHeaderStyle HorizontalAlign="right" />
        <CommandRowStyle HorizontalAlign="right" />
        <Fields>
            <asp:TemplateField HeaderText="eCollege Term">
                <ItemTemplate>
                    <asp:TextBox ID="txtECollegeTerm" runat="server" Text='<%# Bind("eCollegeTerm") %>'
                        Width="300" MaxLength="100"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="ECollegeTermValidator" runat="server" ErrorMessage="eCollege Term is required."
                        ControlToValidate="txtECollegeTerm" EnableClientScript="true" Display="Dynamic">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="eCollege ID">
                <ItemTemplate>
                    <asp:TextBox ID="txtECollegeID" runat="server" Text='<%# Bind("eCollegeID") %>' Width="100"
                        MaxLength="10"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="ECollegeIDValidator" runat="server" ErrorMessage="eCollege ID is required."
                        ControlToValidate="txtECollegeID" EnableClientScript="true" Display="Dynamic">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Course Start Date">
                <ItemTemplate>
                    <asp:TextBox ID="txtCourseStartDate" runat="server" Text='<%# Bind("CourseStartDate","{0:d}") %>'
                        Width="80" MaxLength="10"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="CourseStartDateValidator" runat="server" ErrorMessage="Course Start Date is required."
                        ControlToValidate="txtCourseStartDate" EnableClientScript="true" Display="dynamic">*</asp:RequiredFieldValidator>
                    <asp:CompareValidator ID="CourseStartDateTypeValidator" runat="server" ErrorMessage="Course Start Date must be a valid date."
                        ControlToValidate="txtCourseStartDate" Type="Date" Operator="DataTypeCheck" EnableClientScript="true"
                        Display="dynamic">*</asp:CompareValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Status">
                <ItemTemplate>
                    <asp:RadioButtonList ID="rdoIsActive" runat="server" RepeatDirection="Horizontal"
                        SelectedValue='<%# Bind("IsActive") %>'>
                        <asp:ListItem Text="Active" Value="True" Selected="true"></asp:ListItem>
                        <asp:ListItem Text="Inactive" Value="False"></asp:ListItem>
                    </asp:RadioButtonList>
                    <asp:RequiredFieldValidator ID="StatusValidator" runat="server" ErrorMessage="Status is required."
                        ControlToValidate="rdoIsActive" EnableClientScript="true" Display="Dynamic">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField ButtonType="Button" ShowCancelButton="true" ShowEditButton="true"
                ShowInsertButton="true" EditText="Save" InsertText="Save" UpdateText="Save" />
        </Fields>
    </asp:DetailsView>
    <br />
    <telerik:RadGrid ID="ECollegeTermGrid" DataSourceID="ECollegeTermsDataSource" runat="server"
        AutoGenerateColumns="false" GridLines="None" OnItemDataBound="ECollegeTermGrid_ItemDataBound"
        Width="900px">
        <MasterTableView NoMasterRecordsText="No data found." DataKeyNames="TermID" TableLayout="fixed">
            <Columns>
                <telerik:GridHyperLinkColumn HeaderImageUrl="~/Images/Edit.gif" Text="Edit" DataNavigateUrlFields="TermID"
                    DataNavigateUrlFormatString="Terms.aspx?mode=edit&id={0}" HeaderStyle-Width="30px" />
                <telerik:GridBoundColumn DataField="eCollegeTerm" HeaderText="eCollege Term" HeaderStyle-Width="300px" />
                <telerik:GridBoundColumn DataField="CourseStartDate" HeaderText="Course Start Date"
                    DataFormatString="{0:d}" HeaderStyle-Width="130px" />
                <telerik:GridBoundColumn DataField="eCollegeID" HeaderText="eCollege ID" HeaderStyle-Width="100px" />
                <telerik:GridTemplateColumn HeaderText="Status" ItemStyle-Width="100%">
                    <ItemTemplate>
                        <asp:Label ID="lblStatus" runat="server"></asp:Label></ItemTemplate>
                </telerik:GridTemplateColumn>
            </Columns>
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <ItemStyle BackColor="#F7F6F3" ForeColor="#000000" VerticalAlign="Top" />
            <AlternatingItemStyle BackColor="White" ForeColor="#000000" />
        </MasterTableView>
        <ClientSettings>
            <Scrolling AllowScroll="true" UseStaticHeaders="true" SaveScrollPosition="true" />
        </ClientSettings>
    </telerik:RadGrid>
    <pp:ObjectContainerDataSource ID="ECollegeTermsDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.ECollegeTerm" />
    <pp:ObjectContainerDataSource ID="ECollegeTermDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.CourseCopying.BusinessEntities.ECollegeTerm"
        OnInserted="ECollegeTermDataSource_Inserted" OnUpdated="ECollegeTermDataSource_Updated" />
</asp:Content>
