﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="MessageDetail.aspx.cs" Inherits="Messages_MessageDetail"
    Title="MessageDetail" MasterPageFile="~/Shared/Default.master" MaintainScrollPositionOnPostback="true"
    ValidateRequest="false" %>

<%@ Register Assembly="FredCK.FCKeditorV2" Namespace="FredCK.FCKeditorV2" TagPrefix="FCKeditorV2" %>
<%@ Register Assembly="OHE.LCP.CustomControls" Namespace="LCPCustomControls" TagPrefix="cc2" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="content" ContentPlaceHolderID="DefaultContent" runat="Server">

    <script language="Javascript" type="text/javascript">
function CompareDates( ctrl1,ctrl2) 
{ 
   var date1 = null;
   //default date to current date and time if null
   if ( ctrl1 == null  )
   {
       date1 =  new Date();
   }
   else
   {
       var dt1   = parseInt(document.getElementById(ctrl1+'_Day').value); 
       var mon1  = parseInt(document.getElementById(ctrl1+'_Month').value)-1;
       var yr1   = parseInt(document.getElementById(ctrl1+'_Year').value); 
       var hr1   = parseInt(document.getElementById(ctrl1+'_Hour').value); 
       var min1   = parseInt(document.getElementById(ctrl1+'_Minute').value); 
       var ampm1 = document.getElementById(ctrl1+'_AMPM').value;
       //adjusting to military time
       if ( ampm1 == "PM" && hr1 != 12)
           hr1 += 12;
       else if ( ampm1 == "AM" && hr1 == 12 )
           hr1 -= 12;
       date1 = new Date(yr1, mon1, dt1, hr1, min1);
   }

   var dt2   = parseInt(document.getElementById(ctrl2+'_Day').value); 
   var mon2  = parseInt(document.getElementById(ctrl2+'_Month').value)-1; 
   var yr2   = parseInt(document.getElementById(ctrl2+'_Year').value); 
   var hr2   = parseInt(document.getElementById(ctrl2+'_Hour').value); 
   var min2   = parseInt(document.getElementById(ctrl2+'_Minute').value); 
   var ampm2 = document.getElementById(ctrl2+'_AMPM').value;
   //adjusting to military time
   if ( ampm2 == "PM" && hr2 != 12)
       hr2 += 12;
   else if ( ampm2 == "AM" && hr2 == 12 )
       hr2 -= 12;
   var date2 = new Date(yr2, mon2, dt2, hr2, min2);
//alert(date1);
//alert(date2);
   if(date2 < date1)
   {
      return false; 
   } 
   
   return true;
} 

    </script>

    <h1>
        Message Detail</h1>
    <div style="background-color: #ffffff; padding: 4px;">
        <asp:ValidationSummary ID="ValidatorSummary" runat="server" DisplayMode="BulletList"
            HeaderText="The following errors occurred:" />
        <asp:DetailsView ID="MessageDetailsView" runat="server" AutoGenerateRows="False"
            OnItemInserted="MessageDetailsView_ItemInserted" OnItemUpdated="MessageDetailsView_ItemUpdated"
            OnModeChanging="MessageDetailsView_ModeChanging" DataKeyNames="MessageID" CellPadding="4"
            ForeColor="#333333" GridLines="None" DataSourceID="MessageDataSource" OnDataBound="MessageDetailsView_DataBound"
            BorderColor="#DEDBD5" BorderStyle="solid" BorderWidth="1px">
            <Fields>
                <asp:BoundField DataField="MessageID" HeaderText="ID" HeaderStyle-HorizontalAlign="left" InsertVisible="False" SortExpression="MessageID"
                    ReadOnly="True" />
                <asp:BoundField DataField="LastUpdatedBy" HeaderStyle-HorizontalAlign="left" HeaderText="Updated By" InsertVisible="False"
                    ReadOnly="true" />
                <asp:BoundField DataField="UpdatedDateTime" HeaderStyle-HorizontalAlign="left" HeaderText="Updated Date/Time" InsertVisible="false"
                    ReadOnly="true" />
                <asp:TemplateField HeaderText="Subject (required)" HeaderStyle-HorizontalAlign="left"
                    SortExpression="Subject" ItemStyle-Wrap="false" ControlStyle-Width="894">
                    <ItemTemplate>
                        <asp:TextBox ID="SubjectTextBox" runat="server" Text='<%# Bind("Subject") %>' MaxLength="100"
                            Width="700px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="SubjectValidator" runat="server" ControlToValidate="SubjectTextBox"
                            ErrorMessage="Subject is required" Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Body (required)" HeaderStyle-HorizontalAlign="left"
                    SortExpression="Body" ItemStyle-Wrap="false">
                    <ItemTemplate>
                        <FCKeditorV2:FCKeditor Width="900" ID="BodyTextBox" EnableViewState="true" ToolbarSet="Basic"
                            runat="server" Value='<%# Bind("Body") %>'>
                        </FCKeditorV2:FCKeditor>
                        <asp:TextBox ID="BodyTextBoxold" runat="server" Text="" TextMode="MultiLine" Rows="10"
                            Width="700px" Visible="false"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="BodyValidator" runat="server" EnableClientScript="false"
                            ControlToValidate="BodyTextBox" ErrorMessage="Body is required." Display="dynamic"
                            Font-Size="X-Large">*</asp:RequiredFieldValidator>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="From" HeaderStyle-HorizontalAlign="left" SortExpression="From"
                    ItemStyle-Wrap="false">
                    <ItemTemplate>
                        <asp:TextBox ID="FromTextBox" runat="server" Text='<%# Bind("From") %>' Width="894px"></asp:TextBox>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="To" HeaderStyle-HorizontalAlign="left">
                    <ItemTemplate>
                        <asp:Label ID="lbl1" runat="server" Text="Use the list boxes below to select desired target groups of users for the message.  Selecting more than one entry in a list box will select all users that meet ANY of the choices.  Selecting values in more than one list box will select users that meet ALL choices."></asp:Label>
                        <br />
                        <br />
                        <center>
                            <table border="0" cellspacing="0" cellpadding="4">
                                <tr>
                                    <td style="text-align: left; font-weight: bold; vertical-align: top;">
                                        Roles</td>
                                    <td>
                                        <cc2:TargetsListBox ID="RolesTargetsListBox" runat="server" TargetType="Role" SelectionMode="multiple"
                                            Width="600" OnDataBound="TargetsListBox_DataBound" Rows="5">
                                        </cc2:TargetsListBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align: left; font-weight: bold; vertical-align: top;">
                                        Schools</td>
                                    <td>
                                        <cc2:TargetsListBox ID="SchoolsTargetsListBox" runat="server" TargetType="School"
                                            DataTextField="Name" DataValueField="Code" SelectionMode="multiple" Width="600"
                                            OnDataBound="TargetsListBox_DataBound" Rows="5">
                                        </cc2:TargetsListBox></td>
                                </tr>
                                <tr>
                                    <td style="text-align: left; font-weight: bold; vertical-align: top;">
                                        Programs</td>
                                    <td>
                                        <cc2:TargetsListBox ID="ProgramsTargetsListBox" runat="server" TargetType="Program"
                                            DataTextField="Name" DataValueField="Code" SelectionMode="Multiple" Width="600"
                                            OnDataBound="TargetsListBox_DataBound" Rows="5">
                                        </cc2:TargetsListBox></td>
                                </tr>
                                <tr>
                                    <td style="text-align: left; font-weight: bold; vertical-align: top;">
                                        Concentrations</td>
                                    <td>
                                        <cc2:TargetsListBox ID="ConcentrationsTargetsListBox" runat="server" TargetType="Concentration"
                                            DataTextField="Name" DataValueField="Code" SelectionMode="Multiple" Width="600"
                                            OnDataBound="TargetsListBox_DataBound" Rows="5">
                                        </cc2:TargetsListBox></td>
                                </tr>
                                <!--
                        <tr>
                            <td style="text-align:right; font-weight:bold; vertical-align:top;">Courses</td>
                            <td>
                                <asp:TextBox ID="CoursesSearch" runat="server" Visible="false"></asp:TextBox>
                                <asp:Button ID="CoursesButton" runat="server" OnClientClick="openCourseDialog();" Text="Search" CausesValidation="false" OnClick="CoursesButton_Click" Visible="false" />
                                <asp:HiddenField ID="CoursesHidden" runat="server" />
                                <asp:GridView ID="CoursesGrid" runat="server" AutoGenerateColumns="false" DataKeyNames="key" OnRowCommand="Courses_RowCommand" EmptyDataText="(No courses selected - use the search above to select courses)" CellPadding="3" Width="600" Visible="false">
                                    <Columns>
                                        <asp:BoundField DataField="value" HeaderText="Selected Courses" />
                                        <asp:ButtonField ButtonType="Link" CommandName="Remove" Text="Remove" ItemStyle-Width="60" />
                                    </Columns>
                                </asp:GridView>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align:right; font-weight:bold; vertical-align:top;">Sections</td>
                            <td>
                                <asp:TextBox ID="SectionsSearch" runat="server" Visible="false"></asp:TextBox>
                                <asp:Button ID="SectionsButton" runat="server" OnClientClick="openSectionDialog();" Text="Search" CausesValidation="false" OnClick="SectionsButton_Click" Visible="false" />
                                <asp:HiddenField ID="SectionsHidden" runat="server" />
                                <asp:GridView ID="SectionsGrid" runat="server" AutoGenerateColumns="false" DataKeyNames="key" OnRowCommand="Sections_RowCommand" EmptyDataText="(No sections selected - use the search above to select sections)" CellPadding="3" Width="600" Visible="false">
                                    <Columns>
                                        <asp:BoundField DataField="value" HeaderText="Selected Sections" />
                                        <asp:ButtonField ButtonType="link" CommandName="Remove" Text="Remove" ItemStyle-Width="60" />
                                    </Columns>
                                </asp:GridView>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align:right; font-weight:bold; vertical-align:top;">People</td>
                            <td>
                                <asp:TextBox ID="PeopleSearch" runat="server" Visible="false"></asp:TextBox>
                                <asp:Button ID="PeopleButton" runat="server" OnClientClick="openPeopleDialog();" Text="Search" CausesValidation="false" OnClick="PeopleButton_Click" Visible="false" />
                                <asp:HiddenField ID="PeopleHidden" runat="server" />
                                <asp:GridView ID="PeopleGrid" runat="server" AutoGenerateColumns="false" DataKeyNames="key" OnRowCommand="People_RowCommand" EmptyDataText="(No people selected - use the search above to select people)" CellPadding="3" Width="600" Visible="false">
                                    <Columns>
                                        <asp:BoundField DataField="value" HeaderText="Selected People" />
                                        <asp:ButtonField ButtonType="Link" CommandName="Remove" Text="Remove" ItemStyle-Width="60" />
                                    </Columns>
                                </asp:GridView>
                            </td>
                        </tr>
                        -->
                            </table>
                        </center>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Scheduling (required)" HeaderStyle-HorizontalAlign="left">
                    <ItemTemplate>
                        <center>
                            <table border="0">
                                <tr>
                                    <td>
                                        Start Date/Time</td>
                                    <td>
                                        <cc2:DropDownDateTime ID="DropDownDateTime1" runat="server" DateFormat="M/d/yyyy"
                                            TimeFormat=" h:mm:ss tt" SelectCurrentDate="true" YearsBack="5" YearsForward="5"
                                            DisplayFormat="M/d/yyyy h:mm tt" Value='<%# Bind("StartDateTime") %>' />
                                    </td>
                                    <td>
                                        &nbsp;</td>
                                    <td>
                                        End Date/Time</td>
                                    <td>
                                        <cc2:DropDownDateTime ID="DropDownDateTime2" runat="server" DateFormat="M/d/yyyy"
                                            TimeFormat=" h:mm:ss tt" SelectCurrentDate="true" YearsBack="5" YearsForward="5"
                                            DisplayFormat="M/d/yyyy h:mm tt" Value='<%# Bind("EndDateTime") %>' />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" style="text-align:left;">
                                        <asp:CustomValidator runat="server" ID="cvDateCheck2" ControlToValidate="DropDownDateTime1"
                                            OnServerValidate="StartEndCurrentDateCompare" ClientValidationFunction="StartEndCurrentDateCompare"
                                            ErrorMessage="Both Start and End date must occur after the current date time." />
                                    </td>
                                    <td>
                                        &nbsp;</td>
                                    <td colspan="2" style="text-align:left;">
                                        <asp:CustomValidator runat="server" ID="cvDateCheck" ControlToValidate="DropDownDateTime1"
                                            OnServerValidate="StartEndDateCompare" ClientValidationFunction="StartEndDateCompare"
                                            ErrorMessage="Start date must occur before end date." />
                                    </td>
                                </tr>
                            </table>
                        </center>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Priority (required)" ItemStyle-Wrap="false" HeaderStyle-HorizontalAlign="left">
                    <ItemTemplate>
                        <table border="0" style="text-align:left;">
                            <tr>
                                <td>
                                    <cc2:EnumeratedRadioButton ID="EnumeratedRadioButton1" runat="server" EnumType="OHE.LCP.Admin.Messages.BusinessEntities.MessagePriority,OHE.LCP.Admin.Messages.BusinessEntities"
                                        RepeatDirection="Horizontal" Value='<%# Bind("PriorityID") %>' FixNames="true">
                                    </cc2:EnumeratedRadioButton>
                                </td>
                                <td>
                                    <asp:RequiredFieldValidator ID="PriorityValidator" runat="server" ControlToValidate="EnumeratedRadioButton1"
                                        ErrorMessage="Priority is required." Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Status (required)" ItemStyle-Wrap="false" HeaderStyle-HorizontalAlign="left">
                    <ItemTemplate>
                        <table border="0">
                            <tr>
                                <td>
                                    <cc2:EnumeratedRadioButton ID="EnumeratedRadioButton2" runat="server" EnumType="OHE.LCP.Admin.Messages.BusinessEntities.MessageStatus,OHE.LCP.Admin.Messages.BusinessEntities"
                                        RepeatDirection="Horizontal" Value='<%# Bind("StatusID") %>' FixNames="true">
                                    </cc2:EnumeratedRadioButton>
                                </td>
                                <td>
                                    <asp:RequiredFieldValidator ID="StatusValidator" runat="server" ControlToValidate="EnumeratedRadioButton2"
                                        ErrorMessage="Status is required." Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Recipients" HeaderStyle-HorizontalAlign="left">
                    <ItemTemplate>
                        <asp:Label ID="lblText1" runat="server">After you have selected all of the different people that you would like to receive this message click the button below to see a preview of exactly who will receive this message.</asp:Label>
                        <br />
                        <br />
                        <center>
                        <asp:Label ID="lblText2" runat="server">NOTE: If you have made changes to your selections you must click the button below to refresh the recipients description.</asp:Label>
               
                        <br />
                        <br />
                        <asp:Button ID="PreviewButton" runat="server" Text="Preview Recipients" CausesValidation="false"
                            OnClick="PreviewButton_Click" />
                        </center>
                        <br />
                        <br />
                        <asp:Panel ID="RecipientsPanel" runat="server" HorizontalAlign="center" Visible="false">
                            <div style="background-color: #ffffff; padding: 5px; border-style: solid; border-width: thin;
                                width: 90%; text-align: left;">
                                <asp:Label ID="RecipientsLabel" runat="server"></asp:Label>
                            </div>
                        </asp:Panel>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:CommandField ShowEditButton="True" ShowInsertButton="True" EditText="Save Message"
                    InsertText="Insert Message" ButtonType="Button" />
            </Fields>
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <CommandRowStyle BackColor="#F4F3F0" Font-Bold="True" />
            <EditRowStyle BackColor="#F4F3F0" />
            <RowStyle BackColor="#F4F3F0" ForeColor="#000000" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <FieldHeaderStyle BackColor="#ffffff" Font-Bold="True" VerticalAlign="Top" HorizontalAlign="Right" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="#F4F3F0" ForeColor="#000000" />
        </asp:DetailsView>
    </div>
    <pp:ObjectContainerDataSource ID="MessageDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.Messages.BusinessEntities.Message"
        OnInserted="MessageDataSource_Inserted" OnUpdated="MessageDataSource_Updated" />
</asp:Content>
