﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="MessageList.aspx.cs" Inherits="Messages_MessageList"
    Title="MessageList" MasterPageFile="~/Shared/Default.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="content" ContentPlaceHolderID="DefaultContent" runat="Server">
    <h1>
        Message List</h1>
    <table cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td>
                <asp:Image ID="Image1" ImageUrl="~/Images/AddRecord.gif" runat="server" /></td>
            <td>
                <asp:HyperLink ID="NewMessageHyperlink" runat="server" Text="Add New Message" NavigateUrl="~/Messages/MessageDetail.aspx?mode=insert"></asp:HyperLink></td>
        </tr>
    </table>
    <br />
    <telerik:RadAjaxPanel runat="server" ID="AjaxPanel1">
        <telerik:RadSplitter ID="Radsplitter2" runat="server" Width="900" Orientation="Horizontal"
            BorderSize="0">
            <telerik:RadPane ID="RadPane1" runat="server" Scrolling="X" Height="300">
                <telerik:RadGrid ID="MessageList" Width="900px" runat="server" DataSourceID="MessagesDataSource"
                    AutoGenerateColumns="False" ShowStatusBar="True" AllowSorting="True" BorderStyle="None" AllowPaging="True" Height="100%"
                    PageSize="10" GridLines="None">
                    <MasterTableView DataKeyNames="MessageID" DataSourceID="MessagesDataSource">
                        <Columns>
                            <telerik:GridButtonColumn HeaderImageUrl="~/Images/Update.gif"  Text="Select" CommandName="Select" UniqueName="column">
                                <HeaderStyle Width="40px" />
                            </telerik:GridButtonColumn>
                            <telerik:GridTemplateColumn HeaderStyle-Width="30" HeaderImageUrl="~/Images/Edit.gif"></telerik:GridTemplateColumn>
                            <telerik:GridBoundColumn DataField="MessageID" HeaderText="ID"
                                SortExpression="MessageID" UniqueName="MessageID" >
                                <HeaderStyle Width="30px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Subject" HeaderText="Subject"
                                SortExpression="Subject" UniqueName="Subject" >
                                <HeaderStyle Width="200px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="StatusText" HeaderText="Status" SortExpression="StatusText" UniqueName="StatusText" />
                            <telerik:GridBoundColumn DataField="PriorityText" HeaderText="Priority" SortExpression="PriorityText" UniqueName="PriorityText" />
                            <telerik:GridBoundColumn DataField="CreatedBy" HeaderText="Creator" AllowSorting="False" UniqueName="CreatedBy" />
                            <telerik:GridBoundColumn DataField="LastUpdatedBy" HeaderText="Updater" AllowSorting="False" UniqueName="LastUpdatedBy" />
                            <telerik:GridBoundColumn DataField="StartDateTime" HeaderText="Start Date" DataFormatString="{0:MM/d/yyyy}"
                                SortExpression="StartDateTime" UniqueName="StartDateTime" >
                                <ItemStyle Wrap="False" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="EndDateTime" HeaderText="End Date" DataFormatString="{0:MM/d/yyyy}"
                                SortExpression="EndDateTime" UniqueName="EndDateTime" >
                                <ItemStyle Wrap="False" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Body" HeaderText="Body" Visible="False" UniqueName="Body">
                            </telerik:GridBoundColumn>
                        </Columns>
                        <RowIndicatorColumn Visible="False">
                            <HeaderStyle Width="20px" />
                        </RowIndicatorColumn>
                        <ExpandCollapseColumn Resizable="False" Visible="False">
                            <HeaderStyle Width="20px" />
                        </ExpandCollapseColumn>
                        <EditFormSettings>
                            <PopUpSettings ScrollBars="None" />
                        </EditFormSettings>
                    </MasterTableView>
                </telerik:RadGrid>
            </telerik:RadPane>
            <telerik:RadSplitBar ID="RadSplitterBar1" runat="server" />
            <telerik:RadPane ID="RadPanel2" runat="server" Height="400">
                <div id="MessageBodyDiv" runat="server">
                </div>
            </telerik:RadPane>
        </telerik:RadSplitter>
    </telerik:RadAjaxPanel>
    <pp:ObjectContainerDataSource ID="MessagesDataSource" runat="server" DataObjectTypeName="OHE.LCP.Admin.Messages.BusinessEntities.Message" />
</asp:Content>
