<%@ Page Language="C#" AutoEventWireup="true" CodeFile="SectionSearch.aspx.cs" Inherits="Messages_SectionSearch" MasterPageFile="~/Shared/popup.master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin:5px">
    <table border="0">
        <tr>
            <td colspan="2"><asp:Label ID="lbl1" runat="server" Text="Section Search Results" Font-Bold="true"></asp:Label></td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lbl2" runat="server" Text="Your search for"></asp:Label>
                <asp:Label ID="SearchTextLabel" runat="server" Font-Bold="true"></asp:Label>
                <asp:Label ID="SearchNumberLabel" runat="server"></asp:Label>
            </td>
            <td style="text-align:right;">
                <asp:TextBox ID="SearchTextBox" runat="server"></asp:TextBox>
                <asp:Button ID="SearchButton" runat="server" Text="New Search" OnClick="SearchButton_Click" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:GridView ID="SearchGrid" runat="server" AutoGenerateColumns="False" DataKeyNames="SectionID" DataSourceID="searchDataSource" OnRowDataBound="SearchGrid_RowDataBound" OnDataBound="SearchGrid_DataBound" Width="100%" CellPadding="3">
                    <Columns>
                        <asp:TemplateField HeaderText="#">
                            <ItemTemplate>
                                <asp:Label ID="lblCounter" runat="server"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="CodeSection" HeaderText="Code-Section" SortExpression="CodeSection" />
                        <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
                        <asp:BoundField DataField="Teacher" HeaderText="Instructor" SortExpression="Teacher" />
                        <asp:BoundField DataField="Dates" HeaderText="Dates" SortExpression="Dates" />
                        <asp:TemplateField>
                            <ItemTemplate><asp:CheckBox ID="chkSelected" runat="server" /></ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
    </table>
    <asp:Label ID="lbl3" runat="server" Text="Check the desired sections that you would like to send your message to and click the Select Sections button below."></asp:Label>
    <br /><br />
    <asp:Button ID="SubmitButton" runat="server" Text="Select Sections" />
    <asp:Button ID="CancelButton" runat="server" Text="Cancel" />&nbsp;
    <asp:SqlDataSource ID="searchDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:dbConn %>"
        SelectCommand="SELECT SectionID, Code + '-' + Section AS CodeSection, Title, Teacher, StartDate + ' - ' + EndDate AS Dates FROM Sections_Temp WHERE (Code LIKE '%' + @Code + '%') OR (Section LIKE '%' + @Section + '%') OR (Title LIKE '%' + @Title + '%') OR (Teacher LIKE '%' + @Teacher + '%')" OnSelected="searchDataSource_Selected">
        <SelectParameters>
            <asp:QueryStringParameter Name="Code" QueryStringField="search" />
            <asp:QueryStringParameter Name="Section" QueryStringField="search" />
            <asp:QueryStringParameter Name="Title" QueryStringField="search" />
            <asp:QueryStringParameter Name="Teacher" QueryStringField="search" />
        </SelectParameters>
    </asp:SqlDataSource>
    </div>
</asp:Content>