<%@ Page Language="C#" MasterPageFile="~/Shared/Default.master" AutoEventWireup="true" CodeFile="ActionDetail.aspx.cs" Inherits="Security_ActionDetail" Title="Action Details" %>

<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DefaultContent" Runat="Server">
    <h1>Action Detail</h1>
	<div style="background-color:#ffffff; padding: 4px;">
	<asp:ValidationSummary ID="ValidatorSummary" runat="server" DisplayMode="BulletList" HeaderText="The following errors occurred:" />
	<asp:DetailsView ID="ActionDetailsView" runat="server" AutoGenerateRows="False" OnModeChanging="ActionDetailsView_ModeChanging" DataKeyNames="ID" DataSourceID="ActionDataSource">
        <Fields>
            <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" SortExpression="ID" ReadOnly="True" />
            <asp:TemplateField HeaderText="Name (required)" SortExpression="Name" ItemStyle-Wrap="false" HeaderStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' Width="300px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="NameValidator" runat="server" ControlToValidate="NameTextBox" ErrorMessage="Name is required" Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Method (required)" SortExpression="Method" ItemStyle-Wrap="false" HeaderStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:TextBox ID="MethodTextBox" runat="server" Text='<%# Bind("Method") %>' Width="300px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="MethodValidator" runat="server" ControlToValidate="MethodTextBox" ErrorMessage="Method is required" Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="QueryString" HeaderText="QueryString" InsertVisible="True" SortExpression="QueryString"  ReadOnly="False" />
            <asp:TemplateField HeaderText="Url (required)" SortExpression="Url" ItemStyle-Wrap="false" HeaderStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:TextBox ID="UrlTextBox" runat="server" Text='<%# Bind("Url") %>' Width="300px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="UrlValidator" runat="server" ControlToValidate="UrlTextBox" ErrorMessage="Url is required" Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>          
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HiddenField ID="CreateDate" runat="server" Value= '<%# Bind("CreateDate") %>' />
                    <asp:HiddenField ID="CreateOperator" runat="server" Value= '<%# Bind("CreateOperator") %>' />
                    <asp:HiddenField ID="UpdateDate" runat="server" Value= '<%# Bind("UpdateDate") %>' />
                    <asp:HiddenField ID="UpdateOperator" runat="server" Value= '<%# Bind("UpdateOperator") %>' />
                    <asp:HiddenField ID="SecurityContextID" runat="server" Value= '<%# Bind("SecurityContextID") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField ShowEditButton="True" ShowInsertButton="True" EditText="Save Action" InsertText="Insert Action" ButtonType="Button" />
        </Fields>
    </asp:DetailsView>
    </div>
    <pp:ObjectContainerDataSource ID="ActionDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Action" OnInserted="ActionDataSource_Inserted" OnUpdated="ActionDataSource_Updated" />
</asp:Content>

