<%@ Page Language="C#" MasterPageFile="~/Shared/Default.master" AutoEventWireup="true" CodeFile="InstitutionDetail.aspx.cs" Inherits="Security_InstitutionDetail" Title="Institution Details" %>

<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DefaultContent" Runat="Server">
    <h1>Institution Detail</h1>
	<div style="background-color:#ffffff; padding: 4px;">
	<asp:ValidationSummary ID="ValidatorSummary" runat="server" DisplayMode="BulletList" HeaderText="The following errors occurred:" />
	<asp:DetailsView ID="InstitutionDetailsView" runat="server" AutoGenerateRows="False" OnModeChanging="InstitutionDetailsView_ModeChanging" DataKeyNames="ID" DataSourceID="InstitutionDataSource">
        <Fields>
            <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" SortExpression="ID" ReadOnly="True" />
            
            <asp:TemplateField HeaderText="Name (required)" SortExpression="Name" ItemStyle-Wrap="false" HeaderStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' Width="400px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="NameValidator" runat="server" ControlToValidate="NameTextBox" ErrorMessage="Name is required" Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HiddenField ID="CreateDate" runat="server" Value= '<%# Bind("CreateDate") %>' />
                    <asp:HiddenField ID="CreateOperator" runat="server" Value= '<%# Bind("CreateOperator") %>' />
                    <asp:HiddenField ID="UpdateDate" runat="server" Value= '<%# Bind("UpdateDate") %>' />
                    <asp:HiddenField ID="UpdateOperator" runat="server" Value= '<%# Bind("UpdateOperator") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField ShowEditButton="True" ShowInsertButton="True" EditText="Save Institution" InsertText="Insert Institution" ButtonType="Button" />
        </Fields>
    </asp:DetailsView>
    </div>
    <pp:ObjectContainerDataSource ID="InstitutionDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Institution" OnInserted="InstitutionDataSource_Inserted" OnUpdated="InstitutionDataSource_Updated" />
</asp:Content>

