<%@ Page Language="C#" MasterPageFile="~/Shared/Default.master" AutoEventWireup="true"
    CodeFile="InstitutionList.aspx.cs" Inherits="Security_InstitutionList" Title="Institution List" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DefaultContent" runat="Server">
    <h1>
        Institution List</h1>
    <table cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td>
                <asp:Image ID="Image1" ImageUrl="~/Images/AddRecord.gif" runat="server" /></td>
            <td>
                <asp:HyperLink ID="NewInstitutionHyperlink" runat="server" Text="Add New Institution"
                    NavigateUrl="~/Security/InstitutionDetail.aspx?mode=insert"></asp:HyperLink></td>
        </tr>
    </table>

    <br />
    <br />
        <telerik:RadGrid ID="InstitutionList" runat="server" DataSourceID="InstitutionDataSource"
            AllowSorting="True"  AutoGenerateColumns="False" Width="900">
            <MasterTableView DataKeyNames="ID" Width="900">
                <Columns>
                    <telerik:GridHyperLinkColumn Text="Edit" HeaderImageUrl="~/Images/Edit.gif" DataNavigateUrlFields="ID" DataNavigateUrlFormatString="InstitutionDetail.aspx?mode=edit&amp;id={0}" />
                    <telerik:GridBoundColumn DataField="ID" HeaderText="ID" SortExpression="ID" />
                    <telerik:GridBoundColumn  DataField="Name" HeaderText="Name" SortExpression="Name" />
                    <telerik:GridBoundColumn  DataField="CreateOperator" HeaderText="Create By" SortExpression="CreateOperator" />
                    <telerik:GridBoundColumn  DataField="CreateDate" HeaderText="Create On" DataFormatString="{0:MM/d/yyyy h:mm tt}"
                        SortExpression="CreateDate">
                        <itemstyle wrap="False" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn  DataField="UpdateOperator" HeaderText="Last Update By" SortExpression="UpdateOperator" />
                    <telerik:GridBoundColumn  DataField="UpdateDate" HeaderText="Last Updated On" DataFormatString="{0:MM/d/yyyy h:mm tt}"
                        SortExpression="UpdateDate">
                        <itemstyle wrap="False" />
                    </telerik:GridBoundColumn >
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    <pp:ObjectContainerDataSource ID="InstitutionDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Institution"
        OnDeleted="InstitutionDataSource_Deleted" />
</asp:Content>
