<%@ Page Language="C#" MasterPageFile="~/Shared/Default.master" AutoEventWireup="true" CodeFile="RoleList.aspx.cs" Inherits="Security_RoleList" Title="Role List" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DefaultContent" Runat="Server">
		<h1>Role List</h1>
		    <table cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td>
                <asp:Image ID="Image1" ImageUrl="~/Images/AddRecord.gif" runat="server" /></td>
            <td>
               <asp:HyperLink ID="NewRoleHyperlink" runat="server" Text="Add New Role" NavigateUrl='<%# String.Format("RoleDetail.aspx?mode=insert&amp;securitycontextid={0}", this.SecurityContextID) %>'></asp:HyperLink></td>
        </tr>
    </table>
        
        <br /><br />
        <div style="background-color:#ffffff; padding: 4px;">
        <telerik:RadGrid ID="RoleList" runat="server" Width="900" DataSourceID="RoleDataSource" AllowSorting="True" AutoGenerateColumns="False">
            <MasterTableView DataKeyNames="ID" Width="900">
                <Columns>
                 <telerik:GridHyperLinkColumn Text="Edit" DataNavigateUrlFields="ID" DataNavigateUrlFormatString="RoleDetail.aspx?mode=edit&amp;id={0}"></telerik:GridHyperLinkColumn>
                 <telerik:GridBoundColumn DataField="ID" HeaderText="ID" SortExpression="ID"></telerik:GridBoundColumn>
                 <telerik:GridBoundColumn DataField="Name" HeaderText="Name" SortExpression="Name"></telerik:GridBoundColumn>
                 <telerik:GridBoundColumn DataField="Description" HeaderText="Description" SortExpression="Description"></telerik:GridBoundColumn>
                 <telerik:GridBoundColumn DataField="CreateOperator" HeaderText="Create By" SortExpression="CreateOperator"></telerik:GridBoundColumn>
                 <telerik:GridBoundColumn DataField="CreateDate" HeaderText="Create On" DataFormatString="{0:MM/d/yyyy h:mm tt}" SortExpression="CreateDate"></telerik:GridBoundColumn>
                 <telerik:GridBoundColumn DataField="UpdateOperator" HeaderText="Last Update By" SortExpression="UpdateOperator"></telerik:GridBoundColumn>
                 <telerik:GridBoundColumn DataField="UpdateDate" HeaderText="Last Updated On" DataFormatString="{0:MM/d/yyyy h:mm tt}" ></telerik:GridBoundColumn>
            </Columns> 
            </MasterTableView>
            </telerik:RadGrid>
        </div>
        <pp:ObjectContainerDataSource ID="RoleDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.Role" OnDeleted="RoleDataSource_Deleted" />

</asp:Content>

