<%@ Page Language="C#" MasterPageFile="~/Shared/Default.master" AutoEventWireup="true" CodeFile="SecurityContextDetail.aspx.cs" Inherits="Security_SecurityContextDetail" Title="Security Details" %>

<%@ Register Assembly="Microsoft.Practices.Web.UI.WebControls" Namespace="Microsoft.Practices.Web.UI.WebControls"
    TagPrefix="pp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="DefaultContent" Runat="Server">
    <h1>Security Context Detail</h1>
	<div style="background-color:#ffffff; padding: 4px;">
	<asp:ValidationSummary ID="ValidatorSummary" runat="server" DisplayMode="BulletList" HeaderText="The following errors occurred:" />
	<asp:DetailsView ID="SecurityContextDetailsView" runat="server" AutoGenerateRows="False" OnModeChanging="SecurityContextDetailsView_ModeChanging" DataKeyNames="ID"  DataSourceID="SecurityContextDataSource">
        <Fields>            
            <asp:TemplateField HeaderText="ID (required)" SortExpression="ID" ItemStyle-Wrap="false" HeaderStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:TextBox ID="IDTextBox" runat="server" Text='<%# Bind("ID") %>' Width="100px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="IDValidator" runat="server" ControlToValidate="IDTextBox" ErrorMessage="ID is required" Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Name (required)" SortExpression="Name" ItemStyle-Wrap="false" HeaderStyle-VerticalAlign="Middle">
                <ItemTemplate>
                    <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' Width="300px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="NameValidator" runat="server" ControlToValidate="NameTextBox" ErrorMessage="Name is required" Display="dynamic" Font-Size="X-Large">*</asp:RequiredFieldValidator>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CheckBoxField DataField="AutoGenerateID" HeaderText="Auto Generate ID" SortExpression="AutoGenerateID" />
            <asp:BoundField DataField="AutoGeneratedIDLength" HeaderText="Auto Generated ID Length" SortExpression="AutoGeneratedIDLength" />
            <asp:CheckBoxField DataField="AutoGeneratePassword" HeaderText="Auto Genereate Password" SortExpression="AutoGeneratePassword" />
            <asp:CheckBoxField DataField="AutoIncrementUserID" HeaderText="Auto Increment ID" SortExpression="AutoIncrementUserID" />
            <asp:BoundField DataField="CookieDomain" HeaderText="Cookie Domain" SortExpression="CookieDomain" />
            <asp:BoundField DataField="CookiePath" HeaderText="Cookie Path" SortExpression="CookiePath" />
            <asp:BoundField DataField="Domain" HeaderText="Domain" SortExpression="Domain" />
            <asp:BoundField DataField="MinRequiredNonAlphanumericCharacters" HeaderText="Min req. # alphanumeric" SortExpression="MinRequiredNonAlphanumericCharacters" />
            <asp:BoundField DataField="MinRequiredPasswordLength" HeaderText="Password Length" SortExpression="MinRequiredPasswordLength" />
            <asp:BoundField DataField="PasswordStrengthRegularExpression" HeaderText="Password Strengh Regex" SortExpression="PasswordStrengthRegularExpression" /> 
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HiddenField ID="CreateDate" runat="server" Value= '<%# Bind("CreateDate") %>' />
                    <asp:HiddenField ID="CreateOperator" runat="server" Value= '<%# Bind("CreateOperator") %>' />
                    <asp:HiddenField ID="UpdateDate" runat="server" Value= '<%# Bind("UpdateDate") %>' />
                    <asp:HiddenField ID="UpdateOperator" runat="server" Value= '<%# Bind("UpdateOperator") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField ShowEditButton="True" ShowInsertButton="True" EditText="Save SecurityContext" InsertText="Insert Security Context" ButtonType="Button" />
        </Fields>
    </asp:DetailsView>
    </div>
    <pp:ObjectContainerDataSource ID="SecurityContextDataSource" runat="server" DataObjectTypeName="OHE.Security.DataTypes.SecurityContext" OnInserted="SecurityContextDataSource_Inserted" OnUpdated="SecurityContextDataSource_Updated" />
</asp:Content>

